/* THIS FILE IS GENERATED.  DO NOT EDIT. */

/*
 * Copyright (c) 2015-2016 Valve Corporation
 * Copyright (c) 2015-2016 LunarG, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Author: Tobin Ehlis <tobin@lunarg.com>
 * Author: Courtney Goeltzenleuchter <courtney@lunarg.com>
 * Author: Jon Ashburn <jon@lunarg.com>
 * Author: Mark Lobodzinski <mark@lunarg.com>
 * Author: Mike Stroyan <mike@lunarg.com>
 * Author: Tony Barbour <tony@LunarG.com>
 */

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #679
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unordered_map>
#include "vk_loader_platform.h"
#include "vulkan/vk_layer.h"
#include "vk_layer_config.h"
#include "vk_layer_logging.h"
#include "vk_layer_table.h"
#include "vk_layer_extension_utils.h"
#include "vk_layer_utils.h"

#include "generic.h"

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #694
#define LAYER_EXT_ARRAY_SIZE 1
#define LAYER_DEV_EXT_ARRAY_SIZE 1
//static LOADER_PLATFORM_THREAD_ONCE_DECLARATION(initOnce);
static std::unordered_map<void *, layer_data *> layer_data_map;

template layer_data *get_my_data_ptr<layer_data>(
        void *data_key,
        std::unordered_map<void *, layer_data *> &data_map);



#include "vk_dispatch_table_helper.h"
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #647
static void init_generic(layer_data *my_data, const VkAllocationCallbacks *pAllocator)
{

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #651

    layer_debug_actions(my_data->report_data, my_data->logging_callback, pAllocator, "lunarg_generic");

}



// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #780

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance)
{
    char str[1024];
    VkLayerInstanceCreateInfo *chain_info = get_chain_info(pCreateInfo, VK_LAYER_LINK_INFO);
    PFN_vkGetInstanceProcAddr fpGetInstanceProcAddr = chain_info->u.pLayerInfo->pfnNextGetInstanceProcAddr;
    PFN_vkCreateInstance fpCreateInstance = (PFN_vkCreateInstance) fpGetInstanceProcAddr(NULL, "vkCreateInstance");
    if (fpCreateInstance == NULL) {
        return VK_ERROR_INITIALIZATION_FAILED;
    }
    // Advance the link info for the next element on the chain
    chain_info->u.pLayerInfo = chain_info->u.pLayerInfo->pNext;
    VkResult result = fpCreateInstance(pCreateInfo, pAllocator, pInstance);
    if (result != VK_SUCCESS) {
        return result;
    }
    VkLayerInstanceDispatchTable *pTable = initInstanceTable(*pInstance, fpGetInstanceProcAddr);
    createInstanceRegisterExtensions(pCreateInfo, *pInstance);
    layer_data *my_data = get_my_data_ptr(get_dispatch_key(*pInstance), layer_data_map);
    my_data->report_data = debug_report_create_instance(
            pTable,
            *pInstance,
            pCreateInfo->enabledExtensionCount,
            pCreateInfo->ppEnabledExtensionNames);
    init_generic(my_data, pAllocator);
    sprintf(str, "Completed generic layered CreateInstance\n");
    log_msg(my_data->report_data, VK_DEBUG_REPORT_INFORMATION_BIT_EXT, VK_DEBUG_REPORT_OBJECT_TYPE_INSTANCE_EXT, (uint64_t)*pInstance, __LINE__, 0, (char *) "generic", "%s", (char *) str);
    return result;
}


// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #761

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator)
{
    dispatch_key key = get_dispatch_key(instance);
    VkLayerInstanceDispatchTable *pDisp  =  instance_dispatch_table(instance);
    pDisp->DestroyInstance(instance, pAllocator);
    // Clean up logging callback, if any
    layer_data *my_data = get_my_data_ptr(key, layer_data_map);
    while (my_data->logging_callback.size() > 0) {        VkDebugReportCallbackEXT callback = my_data->logging_callback.back();        layer_destroy_msg_callback(my_data->report_data, callback, pAllocator);        my_data->logging_callback.pop_back();    }

    layer_debug_report_destroy_instance(my_data->report_data);
    layer_data_map.erase(key);
    instanceExtMap.erase(pDisp);
    destroy_instance_dispatch_table(key);
}


// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkEnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices)
{
    VkResult result = instance_dispatch_table(instance)->EnumeratePhysicalDevices(instance, pPhysicalDeviceCount, pPhysicalDevices);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures)
{
    instance_dispatch_table(physicalDevice)->GetPhysicalDeviceFeatures(physicalDevice, pFeatures);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties)
{
    instance_dispatch_table(physicalDevice)->GetPhysicalDeviceFormatProperties(physicalDevice, format, pFormatProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties)
{
    VkResult result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceImageFormatProperties(physicalDevice, format, type, tiling, usage, flags, pImageFormatProperties);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties)
{
    instance_dispatch_table(physicalDevice)->GetPhysicalDeviceProperties(physicalDevice, pProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties)
{
    instance_dispatch_table(physicalDevice)->GetPhysicalDeviceQueueFamilyProperties(physicalDevice, pQueueFamilyPropertyCount, pQueueFamilyProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties)
{
    instance_dispatch_table(physicalDevice)->GetPhysicalDeviceMemoryProperties(physicalDevice, pMemoryProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #721

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice)
{
    layer_data *my_instance_data = get_my_data_ptr(get_dispatch_key(physicalDevice), layer_data_map);
    char str[1024];
    sprintf(str, "At start of Generic layered CreateDevice\n");
    log_msg(my_instance_data->report_data, VK_DEBUG_REPORT_INFORMATION_BIT_EXT, VK_DEBUG_REPORT_OBJECT_TYPE_PHYSICAL_DEVICE_EXT,            (uint64_t)physicalDevice, __LINE__, 0, (char *) "generic", "%s", (char *) str);
    VkLayerDeviceCreateInfo *chain_info = get_chain_info(pCreateInfo, VK_LAYER_LINK_INFO);
    PFN_vkGetInstanceProcAddr fpGetInstanceProcAddr = chain_info->u.pLayerInfo->pfnNextGetInstanceProcAddr;
    PFN_vkGetDeviceProcAddr fpGetDeviceProcAddr = chain_info->u.pLayerInfo->pfnNextGetDeviceProcAddr;
    PFN_vkCreateDevice fpCreateDevice = (PFN_vkCreateDevice) fpGetInstanceProcAddr(NULL, "vkCreateDevice");
    if (fpCreateDevice == NULL) {
        return VK_ERROR_INITIALIZATION_FAILED;
    }
    // Advance the link info for the next element on the chain
    chain_info->u.pLayerInfo = chain_info->u.pLayerInfo->pNext;
    VkResult result = fpCreateDevice(physicalDevice, pCreateInfo, pAllocator, pDevice);
    if (result != VK_SUCCESS) {
        return result;
    }
    layer_data *my_device_data = get_my_data_ptr(get_dispatch_key(*pDevice), layer_data_map);
    initDeviceTable(*pDevice, fpGetDeviceProcAddr);
    my_device_data->report_data = layer_debug_report_create_device(my_instance_data->report_data, *pDevice);
    createDeviceRegisterExtensions(pCreateInfo, *pDevice);
    sprintf(str, "Completed generic layered CreateDevice\n");
    log_msg(my_device_data->report_data, VK_DEBUG_REPORT_INFORMATION_BIT_EXT, VK_DEBUG_REPORT_OBJECT_TYPE_PHYSICAL_DEVICE_EXT, (uint64_t)physicalDevice, __LINE__, 0, (char *) "generic", "%s", (char *) str);
        return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #751

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator)
{
    dispatch_key key = get_dispatch_key(device);
    VkLayerDispatchTable *pDisp  =  device_dispatch_table(device);
    pDisp->DestroyDevice(device, pAllocator);
    deviceExtMap.erase(pDisp);
    destroy_device_dispatch_table(key);
}


// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #300

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateInstanceExtensionProperties(const char *pLayerName, uint32_t *pCount,  VkExtensionProperties* pProperties)
{
    return util_GetExtensionProperties(0, NULL, pCount, pProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #323

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #337

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateInstanceLayerProperties(uint32_t *pCount,  VkLayerProperties* pProperties)
{
    return util_GetLayerProperties(ARRAY_SIZE(globalLayerProps), globalLayerProps, pCount, pProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #349
VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t *pCount, VkLayerProperties* pProperties)
{
    return util_GetLayerProperties(ARRAY_SIZE(deviceLayerProps), deviceLayerProps, pCount, pProperties);
}


// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue)
{
    device_dispatch_table(device)->GetDeviceQueue(device, queueFamilyIndex, queueIndex, pQueue);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkQueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence)
{
    VkResult result = device_dispatch_table(queue)->QueueSubmit(queue, submitCount, pSubmits, fence);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkQueueWaitIdle(VkQueue queue)
{
    VkResult result = device_dispatch_table(queue)->QueueWaitIdle(queue);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkDeviceWaitIdle(VkDevice device)
{
    VkResult result = device_dispatch_table(device)->DeviceWaitIdle(device);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkAllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory)
{
    VkResult result = device_dispatch_table(device)->AllocateMemory(device, pAllocateInfo, pAllocator, pMemory);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkFreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->FreeMemory(device, memory, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkMapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData)
{
    VkResult result = device_dispatch_table(device)->MapMemory(device, memory, offset, size, flags, ppData);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkUnmapMemory(VkDevice device, VkDeviceMemory memory)
{
    device_dispatch_table(device)->UnmapMemory(device, memory);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkFlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges)
{
    VkResult result = device_dispatch_table(device)->FlushMappedMemoryRanges(device, memoryRangeCount, pMemoryRanges);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkInvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges)
{
    VkResult result = device_dispatch_table(device)->InvalidateMappedMemoryRanges(device, memoryRangeCount, pMemoryRanges);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes)
{
    device_dispatch_table(device)->GetDeviceMemoryCommitment(device, memory, pCommittedMemoryInBytes);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkBindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset)
{
    VkResult result = device_dispatch_table(device)->BindBufferMemory(device, buffer, memory, memoryOffset);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkBindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset)
{
    VkResult result = device_dispatch_table(device)->BindImageMemory(device, image, memory, memoryOffset);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements)
{
    device_dispatch_table(device)->GetBufferMemoryRequirements(device, buffer, pMemoryRequirements);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements)
{
    device_dispatch_table(device)->GetImageMemoryRequirements(device, image, pMemoryRequirements);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements)
{
    device_dispatch_table(device)->GetImageSparseMemoryRequirements(device, image, pSparseMemoryRequirementCount, pSparseMemoryRequirements);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties)
{
    instance_dispatch_table(physicalDevice)->GetPhysicalDeviceSparseImageFormatProperties(physicalDevice, format, type, samples, usage, tiling, pPropertyCount, pProperties);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkQueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence)
{
    VkResult result = device_dispatch_table(queue)->QueueBindSparse(queue, bindInfoCount, pBindInfo, fence);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence)
{
    VkResult result = device_dispatch_table(device)->CreateFence(device, pCreateInfo, pAllocator, pFence);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyFence(device, fence, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences)
{
    VkResult result = device_dispatch_table(device)->ResetFences(device, fenceCount, pFences);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetFenceStatus(VkDevice device, VkFence fence)
{
    VkResult result = device_dispatch_table(device)->GetFenceStatus(device, fence);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkWaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout)
{
    VkResult result = device_dispatch_table(device)->WaitForFences(device, fenceCount, pFences, waitAll, timeout);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore)
{
    VkResult result = device_dispatch_table(device)->CreateSemaphore(device, pCreateInfo, pAllocator, pSemaphore);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroySemaphore(device, semaphore, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent)
{
    VkResult result = device_dispatch_table(device)->CreateEvent(device, pCreateInfo, pAllocator, pEvent);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyEvent(device, event, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetEventStatus(VkDevice device, VkEvent event)
{
    VkResult result = device_dispatch_table(device)->GetEventStatus(device, event);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkSetEvent(VkDevice device, VkEvent event)
{
    VkResult result = device_dispatch_table(device)->SetEvent(device, event);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkResetEvent(VkDevice device, VkEvent event)
{
    VkResult result = device_dispatch_table(device)->ResetEvent(device, event);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool)
{
    VkResult result = device_dispatch_table(device)->CreateQueryPool(device, pCreateInfo, pAllocator, pQueryPool);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyQueryPool(device, queryPool, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags)
{
    VkResult result = device_dispatch_table(device)->GetQueryPoolResults(device, queryPool, firstQuery, queryCount, dataSize, pData, stride, flags);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer)
{
    VkResult result = device_dispatch_table(device)->CreateBuffer(device, pCreateInfo, pAllocator, pBuffer);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyBuffer(device, buffer, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView)
{
    VkResult result = device_dispatch_table(device)->CreateBufferView(device, pCreateInfo, pAllocator, pView);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyBufferView(device, bufferView, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage)
{
    VkResult result = device_dispatch_table(device)->CreateImage(device, pCreateInfo, pAllocator, pImage);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyImage(device, image, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout)
{
    device_dispatch_table(device)->GetImageSubresourceLayout(device, image, pSubresource, pLayout);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView)
{
    VkResult result = device_dispatch_table(device)->CreateImageView(device, pCreateInfo, pAllocator, pView);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyImageView(device, imageView, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule)
{
    VkResult result = device_dispatch_table(device)->CreateShaderModule(device, pCreateInfo, pAllocator, pShaderModule);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyShaderModule(device, shaderModule, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache)
{
    VkResult result = device_dispatch_table(device)->CreatePipelineCache(device, pCreateInfo, pAllocator, pPipelineCache);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyPipelineCache(device, pipelineCache, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData)
{
    VkResult result = device_dispatch_table(device)->GetPipelineCacheData(device, pipelineCache, pDataSize, pData);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkMergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches)
{
    VkResult result = device_dispatch_table(device)->MergePipelineCaches(device, dstCache, srcCacheCount, pSrcCaches);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines)
{
    VkResult result = device_dispatch_table(device)->CreateGraphicsPipelines(device, pipelineCache, createInfoCount, pCreateInfos, pAllocator, pPipelines);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines)
{
    VkResult result = device_dispatch_table(device)->CreateComputePipelines(device, pipelineCache, createInfoCount, pCreateInfos, pAllocator, pPipelines);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyPipeline(device, pipeline, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout)
{
    VkResult result = device_dispatch_table(device)->CreatePipelineLayout(device, pCreateInfo, pAllocator, pPipelineLayout);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyPipelineLayout(device, pipelineLayout, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler)
{
    VkResult result = device_dispatch_table(device)->CreateSampler(device, pCreateInfo, pAllocator, pSampler);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroySampler(device, sampler, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout)
{
    VkResult result = device_dispatch_table(device)->CreateDescriptorSetLayout(device, pCreateInfo, pAllocator, pSetLayout);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyDescriptorSetLayout(device, descriptorSetLayout, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool)
{
    VkResult result = device_dispatch_table(device)->CreateDescriptorPool(device, pCreateInfo, pAllocator, pDescriptorPool);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyDescriptorPool(device, descriptorPool, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags)
{
    VkResult result = device_dispatch_table(device)->ResetDescriptorPool(device, descriptorPool, flags);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkAllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets)
{
    VkResult result = device_dispatch_table(device)->AllocateDescriptorSets(device, pAllocateInfo, pDescriptorSets);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkFreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets)
{
    VkResult result = device_dispatch_table(device)->FreeDescriptorSets(device, descriptorPool, descriptorSetCount, pDescriptorSets);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkUpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies)
{
    device_dispatch_table(device)->UpdateDescriptorSets(device, descriptorWriteCount, pDescriptorWrites, descriptorCopyCount, pDescriptorCopies);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer)
{
    VkResult result = device_dispatch_table(device)->CreateFramebuffer(device, pCreateInfo, pAllocator, pFramebuffer);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyFramebuffer(device, framebuffer, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass)
{
    VkResult result = device_dispatch_table(device)->CreateRenderPass(device, pCreateInfo, pAllocator, pRenderPass);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyRenderPass(device, renderPass, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkGetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity)
{
    device_dispatch_table(device)->GetRenderAreaGranularity(device, renderPass, pGranularity);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool)
{
    VkResult result = device_dispatch_table(device)->CreateCommandPool(device, pCreateInfo, pAllocator, pCommandPool);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroyCommandPool(device, commandPool, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags)
{
    VkResult result = device_dispatch_table(device)->ResetCommandPool(device, commandPool, flags);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkAllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers)
{
    VkResult result = device_dispatch_table(device)->AllocateCommandBuffers(device, pAllocateInfo, pCommandBuffers);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkFreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers)
{
    device_dispatch_table(device)->FreeCommandBuffers(device, commandPool, commandBufferCount, pCommandBuffers);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkBeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo)
{
    VkResult result = device_dispatch_table(commandBuffer)->BeginCommandBuffer(commandBuffer, pBeginInfo);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkEndCommandBuffer(VkCommandBuffer commandBuffer)
{
    VkResult result = device_dispatch_table(commandBuffer)->EndCommandBuffer(commandBuffer);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags)
{
    VkResult result = device_dispatch_table(commandBuffer)->ResetCommandBuffer(commandBuffer, flags);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline)
{
    device_dispatch_table(commandBuffer)->CmdBindPipeline(commandBuffer, pipelineBindPoint, pipeline);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports)
{
    device_dispatch_table(commandBuffer)->CmdSetViewport(commandBuffer, firstViewport, viewportCount, pViewports);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors)
{
    device_dispatch_table(commandBuffer)->CmdSetScissor(commandBuffer, firstScissor, scissorCount, pScissors);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth)
{
    device_dispatch_table(commandBuffer)->CmdSetLineWidth(commandBuffer, lineWidth);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor)
{
    device_dispatch_table(commandBuffer)->CmdSetDepthBias(commandBuffer, depthBiasConstantFactor, depthBiasClamp, depthBiasSlopeFactor);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4])
{
    device_dispatch_table(commandBuffer)->CmdSetBlendConstants(commandBuffer, blendConstants);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds)
{
    device_dispatch_table(commandBuffer)->CmdSetDepthBounds(commandBuffer, minDepthBounds, maxDepthBounds);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask)
{
    device_dispatch_table(commandBuffer)->CmdSetStencilCompareMask(commandBuffer, faceMask, compareMask);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask)
{
    device_dispatch_table(commandBuffer)->CmdSetStencilWriteMask(commandBuffer, faceMask, writeMask);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference)
{
    device_dispatch_table(commandBuffer)->CmdSetStencilReference(commandBuffer, faceMask, reference);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets)
{
    device_dispatch_table(commandBuffer)->CmdBindDescriptorSets(commandBuffer, pipelineBindPoint, layout, firstSet, descriptorSetCount, pDescriptorSets, dynamicOffsetCount, pDynamicOffsets);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType)
{
    device_dispatch_table(commandBuffer)->CmdBindIndexBuffer(commandBuffer, buffer, offset, indexType);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets)
{
    device_dispatch_table(commandBuffer)->CmdBindVertexBuffers(commandBuffer, firstBinding, bindingCount, pBuffers, pOffsets);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance)
{
    device_dispatch_table(commandBuffer)->CmdDraw(commandBuffer, vertexCount, instanceCount, firstVertex, firstInstance);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance)
{
    device_dispatch_table(commandBuffer)->CmdDrawIndexed(commandBuffer, indexCount, instanceCount, firstIndex, vertexOffset, firstInstance);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
{
    device_dispatch_table(commandBuffer)->CmdDrawIndirect(commandBuffer, buffer, offset, drawCount, stride);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
{
    device_dispatch_table(commandBuffer)->CmdDrawIndexedIndirect(commandBuffer, buffer, offset, drawCount, stride);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdDispatch(VkCommandBuffer commandBuffer, uint32_t x, uint32_t y, uint32_t z)
{
    device_dispatch_table(commandBuffer)->CmdDispatch(commandBuffer, x, y, z);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset)
{
    device_dispatch_table(commandBuffer)->CmdDispatchIndirect(commandBuffer, buffer, offset);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions)
{
    device_dispatch_table(commandBuffer)->CmdCopyBuffer(commandBuffer, srcBuffer, dstBuffer, regionCount, pRegions);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions)
{
    device_dispatch_table(commandBuffer)->CmdCopyImage(commandBuffer, srcImage, srcImageLayout, dstImage, dstImageLayout, regionCount, pRegions);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter)
{
    device_dispatch_table(commandBuffer)->CmdBlitImage(commandBuffer, srcImage, srcImageLayout, dstImage, dstImageLayout, regionCount, pRegions, filter);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions)
{
    device_dispatch_table(commandBuffer)->CmdCopyBufferToImage(commandBuffer, srcBuffer, dstImage, dstImageLayout, regionCount, pRegions);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions)
{
    device_dispatch_table(commandBuffer)->CmdCopyImageToBuffer(commandBuffer, srcImage, srcImageLayout, dstBuffer, regionCount, pRegions);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData)
{
    device_dispatch_table(commandBuffer)->CmdUpdateBuffer(commandBuffer, dstBuffer, dstOffset, dataSize, pData);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data)
{
    device_dispatch_table(commandBuffer)->CmdFillBuffer(commandBuffer, dstBuffer, dstOffset, size, data);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges)
{
    device_dispatch_table(commandBuffer)->CmdClearColorImage(commandBuffer, image, imageLayout, pColor, rangeCount, pRanges);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges)
{
    device_dispatch_table(commandBuffer)->CmdClearDepthStencilImage(commandBuffer, image, imageLayout, pDepthStencil, rangeCount, pRanges);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects)
{
    device_dispatch_table(commandBuffer)->CmdClearAttachments(commandBuffer, attachmentCount, pAttachments, rectCount, pRects);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions)
{
    device_dispatch_table(commandBuffer)->CmdResolveImage(commandBuffer, srcImage, srcImageLayout, dstImage, dstImageLayout, regionCount, pRegions);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask)
{
    device_dispatch_table(commandBuffer)->CmdSetEvent(commandBuffer, event, stageMask);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask)
{
    device_dispatch_table(commandBuffer)->CmdResetEvent(commandBuffer, event, stageMask);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers)
{
    device_dispatch_table(commandBuffer)->CmdWaitEvents(commandBuffer, eventCount, pEvents, srcStageMask, dstStageMask, memoryBarrierCount, pMemoryBarriers, bufferMemoryBarrierCount, pBufferMemoryBarriers, imageMemoryBarrierCount, pImageMemoryBarriers);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers)
{
    device_dispatch_table(commandBuffer)->CmdPipelineBarrier(commandBuffer, srcStageMask, dstStageMask, dependencyFlags, memoryBarrierCount, pMemoryBarriers, bufferMemoryBarrierCount, pBufferMemoryBarriers, imageMemoryBarrierCount, pImageMemoryBarriers);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags)
{
    device_dispatch_table(commandBuffer)->CmdBeginQuery(commandBuffer, queryPool, query, flags);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query)
{
    device_dispatch_table(commandBuffer)->CmdEndQuery(commandBuffer, queryPool, query);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount)
{
    device_dispatch_table(commandBuffer)->CmdResetQueryPool(commandBuffer, queryPool, firstQuery, queryCount);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query)
{
    device_dispatch_table(commandBuffer)->CmdWriteTimestamp(commandBuffer, pipelineStage, queryPool, query);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags)
{
    device_dispatch_table(commandBuffer)->CmdCopyQueryPoolResults(commandBuffer, queryPool, firstQuery, queryCount, dstBuffer, dstOffset, stride, flags);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues)
{
    device_dispatch_table(commandBuffer)->CmdPushConstants(commandBuffer, layout, stageFlags, offset, size, pValues);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents)
{
    device_dispatch_table(commandBuffer)->CmdBeginRenderPass(commandBuffer, pRenderPassBegin, contents);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents)
{
    device_dispatch_table(commandBuffer)->CmdNextSubpass(commandBuffer, contents);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdEndRenderPass(VkCommandBuffer commandBuffer)
{
    device_dispatch_table(commandBuffer)->CmdEndRenderPass(commandBuffer);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkCmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers)
{
    device_dispatch_table(commandBuffer)->CmdExecuteCommands(commandBuffer, commandBufferCount, pCommandBuffers);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator)
{
    instance_dispatch_table(instance)->DestroySurfaceKHR(instance, surface, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported)
{
    VkResult result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceSurfaceSupportKHR(physicalDevice, queueFamilyIndex, surface, pSupported);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities)
{
    VkResult result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceSurfaceCapabilitiesKHR(physicalDevice, surface, pSurfaceCapabilities);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats)
{
    VkResult result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceSurfaceFormatsKHR(physicalDevice, surface, pSurfaceFormatCount, pSurfaceFormats);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes)
{
    VkResult result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceSurfacePresentModesKHR(physicalDevice, surface, pPresentModeCount, pPresentModes);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain)
{
    VkResult result = device_dispatch_table(device)->CreateSwapchainKHR(device, pCreateInfo, pAllocator, pSwapchain);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator)
{
    device_dispatch_table(device)->DestroySwapchainKHR(device, swapchain, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkGetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages)
{
    VkResult result = device_dispatch_table(device)->GetSwapchainImagesKHR(device, swapchain, pSwapchainImageCount, pSwapchainImages);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkAcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex)
{
    VkResult result = device_dispatch_table(device)->AcquireNextImageKHR(device, swapchain, timeout, semaphore, fence, pImageIndex);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkQueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo)
{
    VkResult result = device_dispatch_table(queue)->QueuePresentKHR(queue, pPresentInfo);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains)
{
    VkResult result = device_dispatch_table(device)->CreateSharedSwapchainsKHR(device, swapchainCount, pCreateInfos, pAllocator, pSwapchains);
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_XLIB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface)
{
    VkResult result = instance_dispatch_table(instance)->CreateXlibSurfaceKHR(instance, pCreateInfo, pAllocator, pSurface);
    return result;
}

#endif  // VK_USE_PLATFORM_XLIB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_XLIB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID)
{
    VkBool32 result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceXlibPresentationSupportKHR(physicalDevice, queueFamilyIndex, dpy, visualID);
    return result;
}

#endif  // VK_USE_PLATFORM_XLIB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_XCB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface)
{
    VkResult result = instance_dispatch_table(instance)->CreateXcbSurfaceKHR(instance, pCreateInfo, pAllocator, pSurface);
    return result;
}

#endif  // VK_USE_PLATFORM_XCB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_XCB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id)
{
    VkBool32 result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceXcbPresentationSupportKHR(physicalDevice, queueFamilyIndex, connection, visual_id);
    return result;
}

#endif  // VK_USE_PLATFORM_XCB_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_WAYLAND_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface)
{
    VkResult result = instance_dispatch_table(instance)->CreateWaylandSurfaceKHR(instance, pCreateInfo, pAllocator, pSurface);
    return result;
}

#endif  // VK_USE_PLATFORM_WAYLAND_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_WAYLAND_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display)
{
    VkBool32 result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceWaylandPresentationSupportKHR(physicalDevice, queueFamilyIndex, display);
    return result;
}

#endif  // VK_USE_PLATFORM_WAYLAND_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_MIR_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateMirSurfaceKHR(VkInstance instance, const VkMirSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface)
{
    VkResult result = instance_dispatch_table(instance)->CreateMirSurfaceKHR(instance, pCreateInfo, pAllocator, pSurface);
    return result;
}

#endif  // VK_USE_PLATFORM_MIR_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #717

#ifdef VK_USE_PLATFORM_MIR_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #813

VK_LAYER_EXPORT VKAPI_ATTR VkBool32 VKAPI_CALL vkGetPhysicalDeviceMirPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, MirConnection* connection)
{
    VkBool32 result = instance_dispatch_table(physicalDevice)->GetPhysicalDeviceMirPresentationSupportKHR(physicalDevice, queueFamilyIndex, connection);
    return result;
}

#endif  // VK_USE_PLATFORM_MIR_KHR

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #409
static inline PFN_vkVoidFunction layer_intercept_proc(const char *name)
{
    if (!name || name[0] != 'v' || name[1] != 'k')
        return NULL;

    name += 2;
    if (!strcmp(name, "CreateInstance"))
        return (PFN_vkVoidFunction) vkCreateInstance;
    if (!strcmp(name, "DestroyInstance"))
        return (PFN_vkVoidFunction) vkDestroyInstance;
    if (!strcmp(name, "EnumeratePhysicalDevices"))
        return (PFN_vkVoidFunction) vkEnumeratePhysicalDevices;
    if (!strcmp(name, "GetPhysicalDeviceFeatures"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceFeatures;
    if (!strcmp(name, "GetPhysicalDeviceFormatProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceFormatProperties;
    if (!strcmp(name, "GetPhysicalDeviceImageFormatProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceImageFormatProperties;
    if (!strcmp(name, "GetPhysicalDeviceProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceProperties;
    if (!strcmp(name, "GetPhysicalDeviceQueueFamilyProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceQueueFamilyProperties;
    if (!strcmp(name, "GetPhysicalDeviceMemoryProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceMemoryProperties;
    if (!strcmp(name, "CreateDevice"))
        return (PFN_vkVoidFunction) vkCreateDevice;
    if (!strcmp(name, "DestroyDevice"))
        return (PFN_vkVoidFunction) vkDestroyDevice;
    if (!strcmp(name, "EnumerateInstanceExtensionProperties"))
        return (PFN_vkVoidFunction) vkEnumerateInstanceExtensionProperties;
    if (!strcmp(name, "EnumerateInstanceLayerProperties"))
        return (PFN_vkVoidFunction) vkEnumerateInstanceLayerProperties;
    if (!strcmp(name, "EnumerateDeviceLayerProperties"))
        return (PFN_vkVoidFunction) vkEnumerateDeviceLayerProperties;
    if (!strcmp(name, "GetDeviceQueue"))
        return (PFN_vkVoidFunction) vkGetDeviceQueue;
    if (!strcmp(name, "QueueSubmit"))
        return (PFN_vkVoidFunction) vkQueueSubmit;
    if (!strcmp(name, "QueueWaitIdle"))
        return (PFN_vkVoidFunction) vkQueueWaitIdle;
    if (!strcmp(name, "DeviceWaitIdle"))
        return (PFN_vkVoidFunction) vkDeviceWaitIdle;
    if (!strcmp(name, "AllocateMemory"))
        return (PFN_vkVoidFunction) vkAllocateMemory;
    if (!strcmp(name, "FreeMemory"))
        return (PFN_vkVoidFunction) vkFreeMemory;
    if (!strcmp(name, "MapMemory"))
        return (PFN_vkVoidFunction) vkMapMemory;
    if (!strcmp(name, "UnmapMemory"))
        return (PFN_vkVoidFunction) vkUnmapMemory;
    if (!strcmp(name, "FlushMappedMemoryRanges"))
        return (PFN_vkVoidFunction) vkFlushMappedMemoryRanges;
    if (!strcmp(name, "InvalidateMappedMemoryRanges"))
        return (PFN_vkVoidFunction) vkInvalidateMappedMemoryRanges;
    if (!strcmp(name, "GetDeviceMemoryCommitment"))
        return (PFN_vkVoidFunction) vkGetDeviceMemoryCommitment;
    if (!strcmp(name, "BindBufferMemory"))
        return (PFN_vkVoidFunction) vkBindBufferMemory;
    if (!strcmp(name, "BindImageMemory"))
        return (PFN_vkVoidFunction) vkBindImageMemory;
    if (!strcmp(name, "GetBufferMemoryRequirements"))
        return (PFN_vkVoidFunction) vkGetBufferMemoryRequirements;
    if (!strcmp(name, "GetImageMemoryRequirements"))
        return (PFN_vkVoidFunction) vkGetImageMemoryRequirements;
    if (!strcmp(name, "GetImageSparseMemoryRequirements"))
        return (PFN_vkVoidFunction) vkGetImageSparseMemoryRequirements;
    if (!strcmp(name, "GetPhysicalDeviceSparseImageFormatProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceSparseImageFormatProperties;
    if (!strcmp(name, "QueueBindSparse"))
        return (PFN_vkVoidFunction) vkQueueBindSparse;
    if (!strcmp(name, "CreateFence"))
        return (PFN_vkVoidFunction) vkCreateFence;
    if (!strcmp(name, "DestroyFence"))
        return (PFN_vkVoidFunction) vkDestroyFence;
    if (!strcmp(name, "ResetFences"))
        return (PFN_vkVoidFunction) vkResetFences;
    if (!strcmp(name, "GetFenceStatus"))
        return (PFN_vkVoidFunction) vkGetFenceStatus;
    if (!strcmp(name, "WaitForFences"))
        return (PFN_vkVoidFunction) vkWaitForFences;
    if (!strcmp(name, "CreateSemaphore"))
        return (PFN_vkVoidFunction) vkCreateSemaphore;
    if (!strcmp(name, "DestroySemaphore"))
        return (PFN_vkVoidFunction) vkDestroySemaphore;
    if (!strcmp(name, "CreateEvent"))
        return (PFN_vkVoidFunction) vkCreateEvent;
    if (!strcmp(name, "DestroyEvent"))
        return (PFN_vkVoidFunction) vkDestroyEvent;
    if (!strcmp(name, "GetEventStatus"))
        return (PFN_vkVoidFunction) vkGetEventStatus;
    if (!strcmp(name, "SetEvent"))
        return (PFN_vkVoidFunction) vkSetEvent;
    if (!strcmp(name, "ResetEvent"))
        return (PFN_vkVoidFunction) vkResetEvent;
    if (!strcmp(name, "CreateQueryPool"))
        return (PFN_vkVoidFunction) vkCreateQueryPool;
    if (!strcmp(name, "DestroyQueryPool"))
        return (PFN_vkVoidFunction) vkDestroyQueryPool;
    if (!strcmp(name, "GetQueryPoolResults"))
        return (PFN_vkVoidFunction) vkGetQueryPoolResults;
    if (!strcmp(name, "CreateBuffer"))
        return (PFN_vkVoidFunction) vkCreateBuffer;
    if (!strcmp(name, "DestroyBuffer"))
        return (PFN_vkVoidFunction) vkDestroyBuffer;
    if (!strcmp(name, "CreateBufferView"))
        return (PFN_vkVoidFunction) vkCreateBufferView;
    if (!strcmp(name, "DestroyBufferView"))
        return (PFN_vkVoidFunction) vkDestroyBufferView;
    if (!strcmp(name, "CreateImage"))
        return (PFN_vkVoidFunction) vkCreateImage;
    if (!strcmp(name, "DestroyImage"))
        return (PFN_vkVoidFunction) vkDestroyImage;
    if (!strcmp(name, "GetImageSubresourceLayout"))
        return (PFN_vkVoidFunction) vkGetImageSubresourceLayout;
    if (!strcmp(name, "CreateImageView"))
        return (PFN_vkVoidFunction) vkCreateImageView;
    if (!strcmp(name, "DestroyImageView"))
        return (PFN_vkVoidFunction) vkDestroyImageView;
    if (!strcmp(name, "CreateShaderModule"))
        return (PFN_vkVoidFunction) vkCreateShaderModule;
    if (!strcmp(name, "DestroyShaderModule"))
        return (PFN_vkVoidFunction) vkDestroyShaderModule;
    if (!strcmp(name, "CreatePipelineCache"))
        return (PFN_vkVoidFunction) vkCreatePipelineCache;
    if (!strcmp(name, "DestroyPipelineCache"))
        return (PFN_vkVoidFunction) vkDestroyPipelineCache;
    if (!strcmp(name, "GetPipelineCacheData"))
        return (PFN_vkVoidFunction) vkGetPipelineCacheData;
    if (!strcmp(name, "MergePipelineCaches"))
        return (PFN_vkVoidFunction) vkMergePipelineCaches;
    if (!strcmp(name, "CreateGraphicsPipelines"))
        return (PFN_vkVoidFunction) vkCreateGraphicsPipelines;
    if (!strcmp(name, "CreateComputePipelines"))
        return (PFN_vkVoidFunction) vkCreateComputePipelines;
    if (!strcmp(name, "DestroyPipeline"))
        return (PFN_vkVoidFunction) vkDestroyPipeline;
    if (!strcmp(name, "CreatePipelineLayout"))
        return (PFN_vkVoidFunction) vkCreatePipelineLayout;
    if (!strcmp(name, "DestroyPipelineLayout"))
        return (PFN_vkVoidFunction) vkDestroyPipelineLayout;
    if (!strcmp(name, "CreateSampler"))
        return (PFN_vkVoidFunction) vkCreateSampler;
    if (!strcmp(name, "DestroySampler"))
        return (PFN_vkVoidFunction) vkDestroySampler;
    if (!strcmp(name, "CreateDescriptorSetLayout"))
        return (PFN_vkVoidFunction) vkCreateDescriptorSetLayout;
    if (!strcmp(name, "DestroyDescriptorSetLayout"))
        return (PFN_vkVoidFunction) vkDestroyDescriptorSetLayout;
    if (!strcmp(name, "CreateDescriptorPool"))
        return (PFN_vkVoidFunction) vkCreateDescriptorPool;
    if (!strcmp(name, "DestroyDescriptorPool"))
        return (PFN_vkVoidFunction) vkDestroyDescriptorPool;
    if (!strcmp(name, "ResetDescriptorPool"))
        return (PFN_vkVoidFunction) vkResetDescriptorPool;
    if (!strcmp(name, "AllocateDescriptorSets"))
        return (PFN_vkVoidFunction) vkAllocateDescriptorSets;
    if (!strcmp(name, "FreeDescriptorSets"))
        return (PFN_vkVoidFunction) vkFreeDescriptorSets;
    if (!strcmp(name, "UpdateDescriptorSets"))
        return (PFN_vkVoidFunction) vkUpdateDescriptorSets;
    if (!strcmp(name, "CreateFramebuffer"))
        return (PFN_vkVoidFunction) vkCreateFramebuffer;
    if (!strcmp(name, "DestroyFramebuffer"))
        return (PFN_vkVoidFunction) vkDestroyFramebuffer;
    if (!strcmp(name, "CreateRenderPass"))
        return (PFN_vkVoidFunction) vkCreateRenderPass;
    if (!strcmp(name, "DestroyRenderPass"))
        return (PFN_vkVoidFunction) vkDestroyRenderPass;
    if (!strcmp(name, "GetRenderAreaGranularity"))
        return (PFN_vkVoidFunction) vkGetRenderAreaGranularity;
    if (!strcmp(name, "CreateCommandPool"))
        return (PFN_vkVoidFunction) vkCreateCommandPool;
    if (!strcmp(name, "DestroyCommandPool"))
        return (PFN_vkVoidFunction) vkDestroyCommandPool;
    if (!strcmp(name, "ResetCommandPool"))
        return (PFN_vkVoidFunction) vkResetCommandPool;
    if (!strcmp(name, "AllocateCommandBuffers"))
        return (PFN_vkVoidFunction) vkAllocateCommandBuffers;
    if (!strcmp(name, "FreeCommandBuffers"))
        return (PFN_vkVoidFunction) vkFreeCommandBuffers;
    if (!strcmp(name, "BeginCommandBuffer"))
        return (PFN_vkVoidFunction) vkBeginCommandBuffer;
    if (!strcmp(name, "EndCommandBuffer"))
        return (PFN_vkVoidFunction) vkEndCommandBuffer;
    if (!strcmp(name, "ResetCommandBuffer"))
        return (PFN_vkVoidFunction) vkResetCommandBuffer;
    if (!strcmp(name, "CmdBindPipeline"))
        return (PFN_vkVoidFunction) vkCmdBindPipeline;
    if (!strcmp(name, "CmdSetViewport"))
        return (PFN_vkVoidFunction) vkCmdSetViewport;
    if (!strcmp(name, "CmdSetScissor"))
        return (PFN_vkVoidFunction) vkCmdSetScissor;
    if (!strcmp(name, "CmdSetLineWidth"))
        return (PFN_vkVoidFunction) vkCmdSetLineWidth;
    if (!strcmp(name, "CmdSetDepthBias"))
        return (PFN_vkVoidFunction) vkCmdSetDepthBias;
    if (!strcmp(name, "CmdSetBlendConstants"))
        return (PFN_vkVoidFunction) vkCmdSetBlendConstants;
    if (!strcmp(name, "CmdSetDepthBounds"))
        return (PFN_vkVoidFunction) vkCmdSetDepthBounds;
    if (!strcmp(name, "CmdSetStencilCompareMask"))
        return (PFN_vkVoidFunction) vkCmdSetStencilCompareMask;
    if (!strcmp(name, "CmdSetStencilWriteMask"))
        return (PFN_vkVoidFunction) vkCmdSetStencilWriteMask;
    if (!strcmp(name, "CmdSetStencilReference"))
        return (PFN_vkVoidFunction) vkCmdSetStencilReference;
    if (!strcmp(name, "CmdBindDescriptorSets"))
        return (PFN_vkVoidFunction) vkCmdBindDescriptorSets;
    if (!strcmp(name, "CmdBindIndexBuffer"))
        return (PFN_vkVoidFunction) vkCmdBindIndexBuffer;
    if (!strcmp(name, "CmdBindVertexBuffers"))
        return (PFN_vkVoidFunction) vkCmdBindVertexBuffers;
    if (!strcmp(name, "CmdDraw"))
        return (PFN_vkVoidFunction) vkCmdDraw;
    if (!strcmp(name, "CmdDrawIndexed"))
        return (PFN_vkVoidFunction) vkCmdDrawIndexed;
    if (!strcmp(name, "CmdDrawIndirect"))
        return (PFN_vkVoidFunction) vkCmdDrawIndirect;
    if (!strcmp(name, "CmdDrawIndexedIndirect"))
        return (PFN_vkVoidFunction) vkCmdDrawIndexedIndirect;
    if (!strcmp(name, "CmdDispatch"))
        return (PFN_vkVoidFunction) vkCmdDispatch;
    if (!strcmp(name, "CmdDispatchIndirect"))
        return (PFN_vkVoidFunction) vkCmdDispatchIndirect;
    if (!strcmp(name, "CmdCopyBuffer"))
        return (PFN_vkVoidFunction) vkCmdCopyBuffer;
    if (!strcmp(name, "CmdCopyImage"))
        return (PFN_vkVoidFunction) vkCmdCopyImage;
    if (!strcmp(name, "CmdBlitImage"))
        return (PFN_vkVoidFunction) vkCmdBlitImage;
    if (!strcmp(name, "CmdCopyBufferToImage"))
        return (PFN_vkVoidFunction) vkCmdCopyBufferToImage;
    if (!strcmp(name, "CmdCopyImageToBuffer"))
        return (PFN_vkVoidFunction) vkCmdCopyImageToBuffer;
    if (!strcmp(name, "CmdUpdateBuffer"))
        return (PFN_vkVoidFunction) vkCmdUpdateBuffer;
    if (!strcmp(name, "CmdFillBuffer"))
        return (PFN_vkVoidFunction) vkCmdFillBuffer;
    if (!strcmp(name, "CmdClearColorImage"))
        return (PFN_vkVoidFunction) vkCmdClearColorImage;
    if (!strcmp(name, "CmdClearDepthStencilImage"))
        return (PFN_vkVoidFunction) vkCmdClearDepthStencilImage;
    if (!strcmp(name, "CmdClearAttachments"))
        return (PFN_vkVoidFunction) vkCmdClearAttachments;
    if (!strcmp(name, "CmdResolveImage"))
        return (PFN_vkVoidFunction) vkCmdResolveImage;
    if (!strcmp(name, "CmdSetEvent"))
        return (PFN_vkVoidFunction) vkCmdSetEvent;
    if (!strcmp(name, "CmdResetEvent"))
        return (PFN_vkVoidFunction) vkCmdResetEvent;
    if (!strcmp(name, "CmdWaitEvents"))
        return (PFN_vkVoidFunction) vkCmdWaitEvents;
    if (!strcmp(name, "CmdPipelineBarrier"))
        return (PFN_vkVoidFunction) vkCmdPipelineBarrier;
    if (!strcmp(name, "CmdBeginQuery"))
        return (PFN_vkVoidFunction) vkCmdBeginQuery;
    if (!strcmp(name, "CmdEndQuery"))
        return (PFN_vkVoidFunction) vkCmdEndQuery;
    if (!strcmp(name, "CmdResetQueryPool"))
        return (PFN_vkVoidFunction) vkCmdResetQueryPool;
    if (!strcmp(name, "CmdWriteTimestamp"))
        return (PFN_vkVoidFunction) vkCmdWriteTimestamp;
    if (!strcmp(name, "CmdCopyQueryPoolResults"))
        return (PFN_vkVoidFunction) vkCmdCopyQueryPoolResults;
    if (!strcmp(name, "CmdPushConstants"))
        return (PFN_vkVoidFunction) vkCmdPushConstants;
    if (!strcmp(name, "CmdBeginRenderPass"))
        return (PFN_vkVoidFunction) vkCmdBeginRenderPass;
    if (!strcmp(name, "CmdNextSubpass"))
        return (PFN_vkVoidFunction) vkCmdNextSubpass;
    if (!strcmp(name, "CmdEndRenderPass"))
        return (PFN_vkVoidFunction) vkCmdEndRenderPass;
    if (!strcmp(name, "CmdExecuteCommands"))
        return (PFN_vkVoidFunction) vkCmdExecuteCommands;

    return NULL;
}
static inline PFN_vkVoidFunction layer_intercept_instance_proc(const char *name)
{
    if (!name || name[0] != 'v' || name[1] != 'k')
        return NULL;

    name += 2;
    if (!strcmp(name, "DestroyInstance"))
        return (PFN_vkVoidFunction) vkDestroyInstance;
    if (!strcmp(name, "EnumeratePhysicalDevices"))
        return (PFN_vkVoidFunction) vkEnumeratePhysicalDevices;
    if (!strcmp(name, "GetPhysicalDeviceFeatures"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceFeatures;
    if (!strcmp(name, "GetPhysicalDeviceFormatProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceFormatProperties;
    if (!strcmp(name, "GetPhysicalDeviceImageFormatProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceImageFormatProperties;
    if (!strcmp(name, "GetPhysicalDeviceProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceProperties;
    if (!strcmp(name, "GetPhysicalDeviceQueueFamilyProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceQueueFamilyProperties;
    if (!strcmp(name, "GetPhysicalDeviceMemoryProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceMemoryProperties;
    if (!strcmp(name, "EnumerateInstanceExtensionProperties"))
        return (PFN_vkVoidFunction) vkEnumerateInstanceExtensionProperties;
    if (!strcmp(name, "EnumerateInstanceLayerProperties"))
        return (PFN_vkVoidFunction) vkEnumerateInstanceLayerProperties;
    if (!strcmp(name, "EnumerateDeviceLayerProperties"))
        return (PFN_vkVoidFunction) vkEnumerateDeviceLayerProperties;
    if (!strcmp(name, "GetPhysicalDeviceSparseImageFormatProperties"))
        return (PFN_vkVoidFunction) vkGetPhysicalDeviceSparseImageFormatProperties;

    return NULL;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #237
VK_LAYER_EXPORT VKAPI_ATTR VkResult VKAPI_CALL vkCreateDebugReportCallbackEXT(
        VkInstance                                   instance,
        const VkDebugReportCallbackCreateInfoEXT*    pCreateInfo,
        const VkAllocationCallbacks*                 pAllocator,
        VkDebugReportCallbackEXT*                    pCallback)
{
    VkResult result = instance_dispatch_table(instance)->CreateDebugReportCallbackEXT(instance, pCreateInfo, pAllocator, pCallback);
    if (VK_SUCCESS == result) {
        layer_data *my_data = get_my_data_ptr(get_dispatch_key(instance), layer_data_map);
        result = layer_create_msg_callback(my_data->report_data, false, pCreateInfo, pAllocator, pCallback);
    }
    return result;
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #269
VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT msgCallback, const VkAllocationCallbacks *pAllocator)
{
    VkLayerInstanceDispatchTable *pInstanceTable = instance_dispatch_table(instance);
    pInstanceTable->DestroyDebugReportCallbackEXT(instance, msgCallback, pAllocator);
    layer_data *my_data = get_my_data_ptr(get_dispatch_key(instance), layer_data_map);
    layer_destroy_msg_callback(my_data->report_data, msgCallback, pAllocator);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #285
VK_LAYER_EXPORT VKAPI_ATTR void VKAPI_CALL vkDebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT    flags, VkDebugReportObjectTypeEXT objType, uint64_t object, size_t location, int32_t msgCode, const char *pLayerPrefix, const char *pMsg)
{
    VkLayerInstanceDispatchTable *pInstanceTable = instance_dispatch_table(instance);
    pInstanceTable->DebugReportMessageEXT(instance, flags, objType, object, location, msgCode, pLayerPrefix, pMsg);
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #543
VK_LAYER_EXPORT VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL vkGetDeviceProcAddr(VkDevice device, const char* funcName)
{
    PFN_vkVoidFunction addr;


    if (!strcmp("vkGetDeviceProcAddr", funcName)) {
        return (PFN_vkVoidFunction) vkGetDeviceProcAddr;
    }

    addr = layer_intercept_proc(funcName);
    if (addr)
        return addr;
    if (device == VK_NULL_HANDLE) {
        return NULL;
    }


    VkLayerDispatchTable *pDisp =  device_dispatch_table(device);
    if (deviceExtMap.size() != 0 && deviceExtMap[pDisp].wsi_enabled)
    {
        if (!strcmp("vkCreateSwapchainKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkCreateSwapchainKHR);
        if (!strcmp("vkDestroySwapchainKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkDestroySwapchainKHR);
        if (!strcmp("vkGetSwapchainImagesKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkGetSwapchainImagesKHR);
        if (!strcmp("vkAcquireNextImageKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkAcquireNextImageKHR);
        if (!strcmp("vkQueuePresentKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkQueuePresentKHR);
    }
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #581
    {
        if (pDisp->GetDeviceProcAddr == NULL)
            return NULL;
        return pDisp->GetDeviceProcAddr(device, funcName);
    }
}

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vk-vtlayer-generate.py line #588
VK_LAYER_EXPORT VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL vkGetInstanceProcAddr(VkInstance instance, const char* funcName)
{
    PFN_vkVoidFunction addr;
    if (!strcmp(funcName, "vkGetInstanceProcAddr"))
        return (PFN_vkVoidFunction) vkGetInstanceProcAddr;
    if (!strcmp(funcName, "vkCreateInstance"))
        return (PFN_vkVoidFunction) vkCreateInstance;
    if (!strcmp(funcName, "vkCreateDevice"))
        return (PFN_vkVoidFunction) vkCreateDevice;


    addr = layer_intercept_instance_proc(funcName);
    if (addr)
        return addr;
    if (instance == VK_NULL_HANDLE) {
        return NULL;
    }


    VkLayerInstanceDispatchTable* pTable = instance_dispatch_table(instance);

    layer_data *my_data = get_my_data_ptr(get_dispatch_key(instance), layer_data_map);
    addr = debug_report_get_instance_proc_addr(my_data->report_data, funcName);
    if (addr) {
        return addr;
    }

    if (instanceExtMap.size() != 0 && instanceExtMap[pTable].wsi_enabled)
    {
        if (!strcmp("vkGetPhysicalDeviceSurfaceSupportKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkGetPhysicalDeviceSurfaceSupportKHR);
        if (!strcmp("vkGetPhysicalDeviceSurfaceCapabilitiesKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkGetPhysicalDeviceSurfaceCapabilitiesKHR);
        if (!strcmp("vkGetPhysicalDeviceSurfaceFormatsKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkGetPhysicalDeviceSurfaceFormatsKHR);
        if (!strcmp("vkGetPhysicalDeviceSurfacePresentModesKHR", funcName))
            return reinterpret_cast<PFN_vkVoidFunction>(vkGetPhysicalDeviceSurfacePresentModesKHR);
    }

    if (pTable->GetInstanceProcAddr == NULL)
        return NULL;
    return pTable->GetInstanceProcAddr(instance, funcName);
}

