/* THIS FILE IS GENERATED.  DO NOT EDIT. */

/*
 *
 * Copyright (C) 2015-2016 Valve Corporation
 * Copyright (C) 2015-2016 LunarG, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Author: Jon Ashburn <jon@lunarg.com>
 * Author: Tobin Ehlis <tobin@lunarg.com>
 * Author: Peter Lohrmann <peterl@valvesoftware.com>
 */

#pragma once

#include "vktrace_vk_vk_packets.h"
#include "vktrace_trace_packet_utils.h"
#include "vktrace_trace_packet_identifiers.h"
#include "vktrace_interconnect.h"
#include <inttypes.h>
#include "vk_enum_string_helper.h"
#ifndef _WIN32
 #pragma GCC diagnostic ignored "-Wwrite-strings"
#endif
#ifndef _WIN32
 #pragma GCC diagnostic warning "-Wwrite-strings"
#endif
#if defined(WIN32)
#define snprintf _snprintf
#endif
#if defined(WIN32)
#define VK_SIZE_T_SPECIFIER "%Iu"
#else
#define VK_SIZE_T_SPECIFIER "%zu"
#endif
#define SEND_ENTRYPOINT_ID(entrypoint) ;
//#define SEND_ENTRYPOINT_ID(entrypoint) vktrace_TraceInfo(#entrypoint);

#define SEND_ENTRYPOINT_PARAMS(entrypoint, ...) ;
//#define SEND_ENTRYPOINT_PARAMS(entrypoint, ...) vktrace_TraceInfo(entrypoint, __VA_ARGS__);

#define CREATE_TRACE_PACKET(entrypoint, buffer_bytes_needed) \
    pHeader = vktrace_create_trace_packet(VKTRACE_TID_VULKAN, VKTRACE_TPI_VK_##entrypoint, sizeof(packet_##entrypoint), buffer_bytes_needed);

#define FINISH_TRACE_PACKET() \
    vktrace_finalize_trace_packet(pHeader); \
    vktrace_write_trace_packet(pHeader, vktrace_trace_get_trace_file()); \
    vktrace_delete_trace_packet(&pHeader);

enum VKTRACE_TRACE_PACKET_ID_VK
{
    VKTRACE_TPI_VK_vkApiVersion = VKTRACE_TPI_BEGIN_API_HERE,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceExternalImageFormatPropertiesNV,
    VKTRACE_TPI_VK_vkCmdDrawIndirectCountAMD,
    VKTRACE_TPI_VK_vkCmdDrawIndexedIndirectCountAMD,
    VKTRACE_TPI_VK_vkCreateDebugReportCallbackEXT,
    VKTRACE_TPI_VK_vkDestroyDebugReportCallbackEXT,
    VKTRACE_TPI_VK_vkDebugReportMessageEXT,
    VKTRACE_TPI_VK_vkDebugMarkerSetObjectTagEXT,
    VKTRACE_TPI_VK_vkDebugMarkerSetObjectNameEXT,
    VKTRACE_TPI_VK_vkCmdDebugMarkerBeginEXT,
    VKTRACE_TPI_VK_vkCmdDebugMarkerEndEXT,
    VKTRACE_TPI_VK_vkCmdDebugMarkerInsertEXT,
    VKTRACE_TPI_VK_vkCreateInstance,
    VKTRACE_TPI_VK_vkDestroyInstance,
    VKTRACE_TPI_VK_vkEnumeratePhysicalDevices,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceFeatures,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceFormatProperties,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceImageFormatProperties,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceProperties,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceQueueFamilyProperties,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceMemoryProperties,
    VKTRACE_TPI_VK_vkGetInstanceProcAddr,
    VKTRACE_TPI_VK_vkGetDeviceProcAddr,
    VKTRACE_TPI_VK_vkCreateDevice,
    VKTRACE_TPI_VK_vkDestroyDevice,
    VKTRACE_TPI_VK_vkEnumerateInstanceExtensionProperties,
    VKTRACE_TPI_VK_vkEnumerateDeviceExtensionProperties,
    VKTRACE_TPI_VK_vkEnumerateInstanceLayerProperties,
    VKTRACE_TPI_VK_vkEnumerateDeviceLayerProperties,
    VKTRACE_TPI_VK_vkGetDeviceQueue,
    VKTRACE_TPI_VK_vkQueueSubmit,
    VKTRACE_TPI_VK_vkQueueWaitIdle,
    VKTRACE_TPI_VK_vkDeviceWaitIdle,
    VKTRACE_TPI_VK_vkAllocateMemory,
    VKTRACE_TPI_VK_vkFreeMemory,
    VKTRACE_TPI_VK_vkMapMemory,
    VKTRACE_TPI_VK_vkUnmapMemory,
    VKTRACE_TPI_VK_vkFlushMappedMemoryRanges,
    VKTRACE_TPI_VK_vkInvalidateMappedMemoryRanges,
    VKTRACE_TPI_VK_vkGetDeviceMemoryCommitment,
    VKTRACE_TPI_VK_vkBindBufferMemory,
    VKTRACE_TPI_VK_vkBindImageMemory,
    VKTRACE_TPI_VK_vkGetBufferMemoryRequirements,
    VKTRACE_TPI_VK_vkGetImageMemoryRequirements,
    VKTRACE_TPI_VK_vkGetImageSparseMemoryRequirements,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceSparseImageFormatProperties,
    VKTRACE_TPI_VK_vkQueueBindSparse,
    VKTRACE_TPI_VK_vkCreateFence,
    VKTRACE_TPI_VK_vkDestroyFence,
    VKTRACE_TPI_VK_vkResetFences,
    VKTRACE_TPI_VK_vkGetFenceStatus,
    VKTRACE_TPI_VK_vkWaitForFences,
    VKTRACE_TPI_VK_vkCreateSemaphore,
    VKTRACE_TPI_VK_vkDestroySemaphore,
    VKTRACE_TPI_VK_vkCreateEvent,
    VKTRACE_TPI_VK_vkDestroyEvent,
    VKTRACE_TPI_VK_vkGetEventStatus,
    VKTRACE_TPI_VK_vkSetEvent,
    VKTRACE_TPI_VK_vkResetEvent,
    VKTRACE_TPI_VK_vkCreateQueryPool,
    VKTRACE_TPI_VK_vkDestroyQueryPool,
    VKTRACE_TPI_VK_vkGetQueryPoolResults,
    VKTRACE_TPI_VK_vkCreateBuffer,
    VKTRACE_TPI_VK_vkDestroyBuffer,
    VKTRACE_TPI_VK_vkCreateBufferView,
    VKTRACE_TPI_VK_vkDestroyBufferView,
    VKTRACE_TPI_VK_vkCreateImage,
    VKTRACE_TPI_VK_vkDestroyImage,
    VKTRACE_TPI_VK_vkGetImageSubresourceLayout,
    VKTRACE_TPI_VK_vkCreateImageView,
    VKTRACE_TPI_VK_vkDestroyImageView,
    VKTRACE_TPI_VK_vkCreateShaderModule,
    VKTRACE_TPI_VK_vkDestroyShaderModule,
    VKTRACE_TPI_VK_vkCreatePipelineCache,
    VKTRACE_TPI_VK_vkDestroyPipelineCache,
    VKTRACE_TPI_VK_vkGetPipelineCacheData,
    VKTRACE_TPI_VK_vkMergePipelineCaches,
    VKTRACE_TPI_VK_vkCreateGraphicsPipelines,
    VKTRACE_TPI_VK_vkCreateComputePipelines,
    VKTRACE_TPI_VK_vkDestroyPipeline,
    VKTRACE_TPI_VK_vkCreatePipelineLayout,
    VKTRACE_TPI_VK_vkDestroyPipelineLayout,
    VKTRACE_TPI_VK_vkCreateSampler,
    VKTRACE_TPI_VK_vkDestroySampler,
    VKTRACE_TPI_VK_vkCreateDescriptorSetLayout,
    VKTRACE_TPI_VK_vkDestroyDescriptorSetLayout,
    VKTRACE_TPI_VK_vkCreateDescriptorPool,
    VKTRACE_TPI_VK_vkDestroyDescriptorPool,
    VKTRACE_TPI_VK_vkResetDescriptorPool,
    VKTRACE_TPI_VK_vkAllocateDescriptorSets,
    VKTRACE_TPI_VK_vkFreeDescriptorSets,
    VKTRACE_TPI_VK_vkUpdateDescriptorSets,
    VKTRACE_TPI_VK_vkCreateFramebuffer,
    VKTRACE_TPI_VK_vkDestroyFramebuffer,
    VKTRACE_TPI_VK_vkCreateRenderPass,
    VKTRACE_TPI_VK_vkDestroyRenderPass,
    VKTRACE_TPI_VK_vkGetRenderAreaGranularity,
    VKTRACE_TPI_VK_vkCreateCommandPool,
    VKTRACE_TPI_VK_vkDestroyCommandPool,
    VKTRACE_TPI_VK_vkResetCommandPool,
    VKTRACE_TPI_VK_vkAllocateCommandBuffers,
    VKTRACE_TPI_VK_vkFreeCommandBuffers,
    VKTRACE_TPI_VK_vkBeginCommandBuffer,
    VKTRACE_TPI_VK_vkEndCommandBuffer,
    VKTRACE_TPI_VK_vkResetCommandBuffer,
    VKTRACE_TPI_VK_vkCmdBindPipeline,
    VKTRACE_TPI_VK_vkCmdSetViewport,
    VKTRACE_TPI_VK_vkCmdSetScissor,
    VKTRACE_TPI_VK_vkCmdSetLineWidth,
    VKTRACE_TPI_VK_vkCmdSetDepthBias,
    VKTRACE_TPI_VK_vkCmdSetBlendConstants,
    VKTRACE_TPI_VK_vkCmdSetDepthBounds,
    VKTRACE_TPI_VK_vkCmdSetStencilCompareMask,
    VKTRACE_TPI_VK_vkCmdSetStencilWriteMask,
    VKTRACE_TPI_VK_vkCmdSetStencilReference,
    VKTRACE_TPI_VK_vkCmdBindDescriptorSets,
    VKTRACE_TPI_VK_vkCmdBindIndexBuffer,
    VKTRACE_TPI_VK_vkCmdBindVertexBuffers,
    VKTRACE_TPI_VK_vkCmdDraw,
    VKTRACE_TPI_VK_vkCmdDrawIndexed,
    VKTRACE_TPI_VK_vkCmdDrawIndirect,
    VKTRACE_TPI_VK_vkCmdDrawIndexedIndirect,
    VKTRACE_TPI_VK_vkCmdDispatch,
    VKTRACE_TPI_VK_vkCmdDispatchIndirect,
    VKTRACE_TPI_VK_vkCmdCopyBuffer,
    VKTRACE_TPI_VK_vkCmdCopyImage,
    VKTRACE_TPI_VK_vkCmdBlitImage,
    VKTRACE_TPI_VK_vkCmdCopyBufferToImage,
    VKTRACE_TPI_VK_vkCmdCopyImageToBuffer,
    VKTRACE_TPI_VK_vkCmdUpdateBuffer,
    VKTRACE_TPI_VK_vkCmdFillBuffer,
    VKTRACE_TPI_VK_vkCmdClearColorImage,
    VKTRACE_TPI_VK_vkCmdClearDepthStencilImage,
    VKTRACE_TPI_VK_vkCmdClearAttachments,
    VKTRACE_TPI_VK_vkCmdResolveImage,
    VKTRACE_TPI_VK_vkCmdSetEvent,
    VKTRACE_TPI_VK_vkCmdResetEvent,
    VKTRACE_TPI_VK_vkCmdWaitEvents,
    VKTRACE_TPI_VK_vkCmdPipelineBarrier,
    VKTRACE_TPI_VK_vkCmdBeginQuery,
    VKTRACE_TPI_VK_vkCmdEndQuery,
    VKTRACE_TPI_VK_vkCmdResetQueryPool,
    VKTRACE_TPI_VK_vkCmdWriteTimestamp,
    VKTRACE_TPI_VK_vkCmdCopyQueryPoolResults,
    VKTRACE_TPI_VK_vkCmdPushConstants,
    VKTRACE_TPI_VK_vkCmdBeginRenderPass,
    VKTRACE_TPI_VK_vkCmdNextSubpass,
    VKTRACE_TPI_VK_vkCmdEndRenderPass,
    VKTRACE_TPI_VK_vkCmdExecuteCommands,
    VKTRACE_TPI_VK_vkDestroySurfaceKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceSupportKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceCapabilitiesKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceFormatsKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfacePresentModesKHR,
    VKTRACE_TPI_VK_vkCreateSwapchainKHR,
    VKTRACE_TPI_VK_vkDestroySwapchainKHR,
    VKTRACE_TPI_VK_vkGetSwapchainImagesKHR,
    VKTRACE_TPI_VK_vkAcquireNextImageKHR,
    VKTRACE_TPI_VK_vkQueuePresentKHR,
    VKTRACE_TPI_VK_vkCreateSharedSwapchainsKHR,
    VKTRACE_TPI_VK_vkCreateWin32SurfaceKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceWin32PresentationSupportKHR,
    VKTRACE_TPI_VK_vkCreateXlibSurfaceKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceXlibPresentationSupportKHR,
    VKTRACE_TPI_VK_vkCreateXcbSurfaceKHR,
    VKTRACE_TPI_VK_vkGetPhysicalDeviceXcbPresentationSupportKHR,
    VKTRACE_TPI_VK_vkCreateAndroidSurfaceKHR,
    VKTRACE_TPI_VK_vkGetMemoryWin32HandleNV,
};

static const char *vktrace_vk_packet_id_name(const enum VKTRACE_TRACE_PACKET_ID_VK id)
{
    switch(id) {
    case VKTRACE_TPI_VK_vkApiVersion:
    {
        return "vkApiVersion";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceExternalImageFormatPropertiesNV:
    {
        return "vkGetPhysicalDeviceExternalImageFormatPropertiesNV";
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndirectCountAMD:
    {
        return "vkCmdDrawIndirectCountAMD";
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndexedIndirectCountAMD:
    {
        return "vkCmdDrawIndexedIndirectCountAMD";
    }
    case VKTRACE_TPI_VK_vkCreateDebugReportCallbackEXT:
    {
        return "vkCreateDebugReportCallbackEXT";
    }
    case VKTRACE_TPI_VK_vkDestroyDebugReportCallbackEXT:
    {
        return "vkDestroyDebugReportCallbackEXT";
    }
    case VKTRACE_TPI_VK_vkDebugReportMessageEXT:
    {
        return "vkDebugReportMessageEXT";
    }
    case VKTRACE_TPI_VK_vkDebugMarkerSetObjectTagEXT:
    {
        return "vkDebugMarkerSetObjectTagEXT";
    }
    case VKTRACE_TPI_VK_vkDebugMarkerSetObjectNameEXT:
    {
        return "vkDebugMarkerSetObjectNameEXT";
    }
    case VKTRACE_TPI_VK_vkCmdDebugMarkerBeginEXT:
    {
        return "vkCmdDebugMarkerBeginEXT";
    }
    case VKTRACE_TPI_VK_vkCmdDebugMarkerEndEXT:
    {
        return "vkCmdDebugMarkerEndEXT";
    }
    case VKTRACE_TPI_VK_vkCmdDebugMarkerInsertEXT:
    {
        return "vkCmdDebugMarkerInsertEXT";
    }
    case VKTRACE_TPI_VK_vkCreateInstance:
    {
        return "vkCreateInstance";
    }
    case VKTRACE_TPI_VK_vkDestroyInstance:
    {
        return "vkDestroyInstance";
    }
    case VKTRACE_TPI_VK_vkEnumeratePhysicalDevices:
    {
        return "vkEnumeratePhysicalDevices";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceFeatures:
    {
        return "vkGetPhysicalDeviceFeatures";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceFormatProperties:
    {
        return "vkGetPhysicalDeviceFormatProperties";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceImageFormatProperties:
    {
        return "vkGetPhysicalDeviceImageFormatProperties";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceProperties:
    {
        return "vkGetPhysicalDeviceProperties";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceQueueFamilyProperties:
    {
        return "vkGetPhysicalDeviceQueueFamilyProperties";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceMemoryProperties:
    {
        return "vkGetPhysicalDeviceMemoryProperties";
    }
    case VKTRACE_TPI_VK_vkGetInstanceProcAddr:
    {
        return "vkGetInstanceProcAddr";
    }
    case VKTRACE_TPI_VK_vkGetDeviceProcAddr:
    {
        return "vkGetDeviceProcAddr";
    }
    case VKTRACE_TPI_VK_vkCreateDevice:
    {
        return "vkCreateDevice";
    }
    case VKTRACE_TPI_VK_vkDestroyDevice:
    {
        return "vkDestroyDevice";
    }
    case VKTRACE_TPI_VK_vkEnumerateInstanceExtensionProperties:
    {
        return "vkEnumerateInstanceExtensionProperties";
    }
    case VKTRACE_TPI_VK_vkEnumerateDeviceExtensionProperties:
    {
        return "vkEnumerateDeviceExtensionProperties";
    }
    case VKTRACE_TPI_VK_vkEnumerateInstanceLayerProperties:
    {
        return "vkEnumerateInstanceLayerProperties";
    }
    case VKTRACE_TPI_VK_vkEnumerateDeviceLayerProperties:
    {
        return "vkEnumerateDeviceLayerProperties";
    }
    case VKTRACE_TPI_VK_vkGetDeviceQueue:
    {
        return "vkGetDeviceQueue";
    }
    case VKTRACE_TPI_VK_vkQueueSubmit:
    {
        return "vkQueueSubmit";
    }
    case VKTRACE_TPI_VK_vkQueueWaitIdle:
    {
        return "vkQueueWaitIdle";
    }
    case VKTRACE_TPI_VK_vkDeviceWaitIdle:
    {
        return "vkDeviceWaitIdle";
    }
    case VKTRACE_TPI_VK_vkAllocateMemory:
    {
        return "vkAllocateMemory";
    }
    case VKTRACE_TPI_VK_vkFreeMemory:
    {
        return "vkFreeMemory";
    }
    case VKTRACE_TPI_VK_vkMapMemory:
    {
        return "vkMapMemory";
    }
    case VKTRACE_TPI_VK_vkUnmapMemory:
    {
        return "vkUnmapMemory";
    }
    case VKTRACE_TPI_VK_vkFlushMappedMemoryRanges:
    {
        return "vkFlushMappedMemoryRanges";
    }
    case VKTRACE_TPI_VK_vkInvalidateMappedMemoryRanges:
    {
        return "vkInvalidateMappedMemoryRanges";
    }
    case VKTRACE_TPI_VK_vkGetDeviceMemoryCommitment:
    {
        return "vkGetDeviceMemoryCommitment";
    }
    case VKTRACE_TPI_VK_vkBindBufferMemory:
    {
        return "vkBindBufferMemory";
    }
    case VKTRACE_TPI_VK_vkBindImageMemory:
    {
        return "vkBindImageMemory";
    }
    case VKTRACE_TPI_VK_vkGetBufferMemoryRequirements:
    {
        return "vkGetBufferMemoryRequirements";
    }
    case VKTRACE_TPI_VK_vkGetImageMemoryRequirements:
    {
        return "vkGetImageMemoryRequirements";
    }
    case VKTRACE_TPI_VK_vkGetImageSparseMemoryRequirements:
    {
        return "vkGetImageSparseMemoryRequirements";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSparseImageFormatProperties:
    {
        return "vkGetPhysicalDeviceSparseImageFormatProperties";
    }
    case VKTRACE_TPI_VK_vkQueueBindSparse:
    {
        return "vkQueueBindSparse";
    }
    case VKTRACE_TPI_VK_vkCreateFence:
    {
        return "vkCreateFence";
    }
    case VKTRACE_TPI_VK_vkDestroyFence:
    {
        return "vkDestroyFence";
    }
    case VKTRACE_TPI_VK_vkResetFences:
    {
        return "vkResetFences";
    }
    case VKTRACE_TPI_VK_vkGetFenceStatus:
    {
        return "vkGetFenceStatus";
    }
    case VKTRACE_TPI_VK_vkWaitForFences:
    {
        return "vkWaitForFences";
    }
    case VKTRACE_TPI_VK_vkCreateSemaphore:
    {
        return "vkCreateSemaphore";
    }
    case VKTRACE_TPI_VK_vkDestroySemaphore:
    {
        return "vkDestroySemaphore";
    }
    case VKTRACE_TPI_VK_vkCreateEvent:
    {
        return "vkCreateEvent";
    }
    case VKTRACE_TPI_VK_vkDestroyEvent:
    {
        return "vkDestroyEvent";
    }
    case VKTRACE_TPI_VK_vkGetEventStatus:
    {
        return "vkGetEventStatus";
    }
    case VKTRACE_TPI_VK_vkSetEvent:
    {
        return "vkSetEvent";
    }
    case VKTRACE_TPI_VK_vkResetEvent:
    {
        return "vkResetEvent";
    }
    case VKTRACE_TPI_VK_vkCreateQueryPool:
    {
        return "vkCreateQueryPool";
    }
    case VKTRACE_TPI_VK_vkDestroyQueryPool:
    {
        return "vkDestroyQueryPool";
    }
    case VKTRACE_TPI_VK_vkGetQueryPoolResults:
    {
        return "vkGetQueryPoolResults";
    }
    case VKTRACE_TPI_VK_vkCreateBuffer:
    {
        return "vkCreateBuffer";
    }
    case VKTRACE_TPI_VK_vkDestroyBuffer:
    {
        return "vkDestroyBuffer";
    }
    case VKTRACE_TPI_VK_vkCreateBufferView:
    {
        return "vkCreateBufferView";
    }
    case VKTRACE_TPI_VK_vkDestroyBufferView:
    {
        return "vkDestroyBufferView";
    }
    case VKTRACE_TPI_VK_vkCreateImage:
    {
        return "vkCreateImage";
    }
    case VKTRACE_TPI_VK_vkDestroyImage:
    {
        return "vkDestroyImage";
    }
    case VKTRACE_TPI_VK_vkGetImageSubresourceLayout:
    {
        return "vkGetImageSubresourceLayout";
    }
    case VKTRACE_TPI_VK_vkCreateImageView:
    {
        return "vkCreateImageView";
    }
    case VKTRACE_TPI_VK_vkDestroyImageView:
    {
        return "vkDestroyImageView";
    }
    case VKTRACE_TPI_VK_vkCreateShaderModule:
    {
        return "vkCreateShaderModule";
    }
    case VKTRACE_TPI_VK_vkDestroyShaderModule:
    {
        return "vkDestroyShaderModule";
    }
    case VKTRACE_TPI_VK_vkCreatePipelineCache:
    {
        return "vkCreatePipelineCache";
    }
    case VKTRACE_TPI_VK_vkDestroyPipelineCache:
    {
        return "vkDestroyPipelineCache";
    }
    case VKTRACE_TPI_VK_vkGetPipelineCacheData:
    {
        return "vkGetPipelineCacheData";
    }
    case VKTRACE_TPI_VK_vkMergePipelineCaches:
    {
        return "vkMergePipelineCaches";
    }
    case VKTRACE_TPI_VK_vkCreateGraphicsPipelines:
    {
        return "vkCreateGraphicsPipelines";
    }
    case VKTRACE_TPI_VK_vkCreateComputePipelines:
    {
        return "vkCreateComputePipelines";
    }
    case VKTRACE_TPI_VK_vkDestroyPipeline:
    {
        return "vkDestroyPipeline";
    }
    case VKTRACE_TPI_VK_vkCreatePipelineLayout:
    {
        return "vkCreatePipelineLayout";
    }
    case VKTRACE_TPI_VK_vkDestroyPipelineLayout:
    {
        return "vkDestroyPipelineLayout";
    }
    case VKTRACE_TPI_VK_vkCreateSampler:
    {
        return "vkCreateSampler";
    }
    case VKTRACE_TPI_VK_vkDestroySampler:
    {
        return "vkDestroySampler";
    }
    case VKTRACE_TPI_VK_vkCreateDescriptorSetLayout:
    {
        return "vkCreateDescriptorSetLayout";
    }
    case VKTRACE_TPI_VK_vkDestroyDescriptorSetLayout:
    {
        return "vkDestroyDescriptorSetLayout";
    }
    case VKTRACE_TPI_VK_vkCreateDescriptorPool:
    {
        return "vkCreateDescriptorPool";
    }
    case VKTRACE_TPI_VK_vkDestroyDescriptorPool:
    {
        return "vkDestroyDescriptorPool";
    }
    case VKTRACE_TPI_VK_vkResetDescriptorPool:
    {
        return "vkResetDescriptorPool";
    }
    case VKTRACE_TPI_VK_vkAllocateDescriptorSets:
    {
        return "vkAllocateDescriptorSets";
    }
    case VKTRACE_TPI_VK_vkFreeDescriptorSets:
    {
        return "vkFreeDescriptorSets";
    }
    case VKTRACE_TPI_VK_vkUpdateDescriptorSets:
    {
        return "vkUpdateDescriptorSets";
    }
    case VKTRACE_TPI_VK_vkCreateFramebuffer:
    {
        return "vkCreateFramebuffer";
    }
    case VKTRACE_TPI_VK_vkDestroyFramebuffer:
    {
        return "vkDestroyFramebuffer";
    }
    case VKTRACE_TPI_VK_vkCreateRenderPass:
    {
        return "vkCreateRenderPass";
    }
    case VKTRACE_TPI_VK_vkDestroyRenderPass:
    {
        return "vkDestroyRenderPass";
    }
    case VKTRACE_TPI_VK_vkGetRenderAreaGranularity:
    {
        return "vkGetRenderAreaGranularity";
    }
    case VKTRACE_TPI_VK_vkCreateCommandPool:
    {
        return "vkCreateCommandPool";
    }
    case VKTRACE_TPI_VK_vkDestroyCommandPool:
    {
        return "vkDestroyCommandPool";
    }
    case VKTRACE_TPI_VK_vkResetCommandPool:
    {
        return "vkResetCommandPool";
    }
    case VKTRACE_TPI_VK_vkAllocateCommandBuffers:
    {
        return "vkAllocateCommandBuffers";
    }
    case VKTRACE_TPI_VK_vkFreeCommandBuffers:
    {
        return "vkFreeCommandBuffers";
    }
    case VKTRACE_TPI_VK_vkBeginCommandBuffer:
    {
        return "vkBeginCommandBuffer";
    }
    case VKTRACE_TPI_VK_vkEndCommandBuffer:
    {
        return "vkEndCommandBuffer";
    }
    case VKTRACE_TPI_VK_vkResetCommandBuffer:
    {
        return "vkResetCommandBuffer";
    }
    case VKTRACE_TPI_VK_vkCmdBindPipeline:
    {
        return "vkCmdBindPipeline";
    }
    case VKTRACE_TPI_VK_vkCmdSetViewport:
    {
        return "vkCmdSetViewport";
    }
    case VKTRACE_TPI_VK_vkCmdSetScissor:
    {
        return "vkCmdSetScissor";
    }
    case VKTRACE_TPI_VK_vkCmdSetLineWidth:
    {
        return "vkCmdSetLineWidth";
    }
    case VKTRACE_TPI_VK_vkCmdSetDepthBias:
    {
        return "vkCmdSetDepthBias";
    }
    case VKTRACE_TPI_VK_vkCmdSetBlendConstants:
    {
        return "vkCmdSetBlendConstants";
    }
    case VKTRACE_TPI_VK_vkCmdSetDepthBounds:
    {
        return "vkCmdSetDepthBounds";
    }
    case VKTRACE_TPI_VK_vkCmdSetStencilCompareMask:
    {
        return "vkCmdSetStencilCompareMask";
    }
    case VKTRACE_TPI_VK_vkCmdSetStencilWriteMask:
    {
        return "vkCmdSetStencilWriteMask";
    }
    case VKTRACE_TPI_VK_vkCmdSetStencilReference:
    {
        return "vkCmdSetStencilReference";
    }
    case VKTRACE_TPI_VK_vkCmdBindDescriptorSets:
    {
        return "vkCmdBindDescriptorSets";
    }
    case VKTRACE_TPI_VK_vkCmdBindIndexBuffer:
    {
        return "vkCmdBindIndexBuffer";
    }
    case VKTRACE_TPI_VK_vkCmdBindVertexBuffers:
    {
        return "vkCmdBindVertexBuffers";
    }
    case VKTRACE_TPI_VK_vkCmdDraw:
    {
        return "vkCmdDraw";
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndexed:
    {
        return "vkCmdDrawIndexed";
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndirect:
    {
        return "vkCmdDrawIndirect";
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndexedIndirect:
    {
        return "vkCmdDrawIndexedIndirect";
    }
    case VKTRACE_TPI_VK_vkCmdDispatch:
    {
        return "vkCmdDispatch";
    }
    case VKTRACE_TPI_VK_vkCmdDispatchIndirect:
    {
        return "vkCmdDispatchIndirect";
    }
    case VKTRACE_TPI_VK_vkCmdCopyBuffer:
    {
        return "vkCmdCopyBuffer";
    }
    case VKTRACE_TPI_VK_vkCmdCopyImage:
    {
        return "vkCmdCopyImage";
    }
    case VKTRACE_TPI_VK_vkCmdBlitImage:
    {
        return "vkCmdBlitImage";
    }
    case VKTRACE_TPI_VK_vkCmdCopyBufferToImage:
    {
        return "vkCmdCopyBufferToImage";
    }
    case VKTRACE_TPI_VK_vkCmdCopyImageToBuffer:
    {
        return "vkCmdCopyImageToBuffer";
    }
    case VKTRACE_TPI_VK_vkCmdUpdateBuffer:
    {
        return "vkCmdUpdateBuffer";
    }
    case VKTRACE_TPI_VK_vkCmdFillBuffer:
    {
        return "vkCmdFillBuffer";
    }
    case VKTRACE_TPI_VK_vkCmdClearColorImage:
    {
        return "vkCmdClearColorImage";
    }
    case VKTRACE_TPI_VK_vkCmdClearDepthStencilImage:
    {
        return "vkCmdClearDepthStencilImage";
    }
    case VKTRACE_TPI_VK_vkCmdClearAttachments:
    {
        return "vkCmdClearAttachments";
    }
    case VKTRACE_TPI_VK_vkCmdResolveImage:
    {
        return "vkCmdResolveImage";
    }
    case VKTRACE_TPI_VK_vkCmdSetEvent:
    {
        return "vkCmdSetEvent";
    }
    case VKTRACE_TPI_VK_vkCmdResetEvent:
    {
        return "vkCmdResetEvent";
    }
    case VKTRACE_TPI_VK_vkCmdWaitEvents:
    {
        return "vkCmdWaitEvents";
    }
    case VKTRACE_TPI_VK_vkCmdPipelineBarrier:
    {
        return "vkCmdPipelineBarrier";
    }
    case VKTRACE_TPI_VK_vkCmdBeginQuery:
    {
        return "vkCmdBeginQuery";
    }
    case VKTRACE_TPI_VK_vkCmdEndQuery:
    {
        return "vkCmdEndQuery";
    }
    case VKTRACE_TPI_VK_vkCmdResetQueryPool:
    {
        return "vkCmdResetQueryPool";
    }
    case VKTRACE_TPI_VK_vkCmdWriteTimestamp:
    {
        return "vkCmdWriteTimestamp";
    }
    case VKTRACE_TPI_VK_vkCmdCopyQueryPoolResults:
    {
        return "vkCmdCopyQueryPoolResults";
    }
    case VKTRACE_TPI_VK_vkCmdPushConstants:
    {
        return "vkCmdPushConstants";
    }
    case VKTRACE_TPI_VK_vkCmdBeginRenderPass:
    {
        return "vkCmdBeginRenderPass";
    }
    case VKTRACE_TPI_VK_vkCmdNextSubpass:
    {
        return "vkCmdNextSubpass";
    }
    case VKTRACE_TPI_VK_vkCmdEndRenderPass:
    {
        return "vkCmdEndRenderPass";
    }
    case VKTRACE_TPI_VK_vkCmdExecuteCommands:
    {
        return "vkCmdExecuteCommands";
    }
    case VKTRACE_TPI_VK_vkDestroySurfaceKHR:
    {
        return "vkDestroySurfaceKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceSupportKHR:
    {
        return "vkGetPhysicalDeviceSurfaceSupportKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceCapabilitiesKHR:
    {
        return "vkGetPhysicalDeviceSurfaceCapabilitiesKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceFormatsKHR:
    {
        return "vkGetPhysicalDeviceSurfaceFormatsKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfacePresentModesKHR:
    {
        return "vkGetPhysicalDeviceSurfacePresentModesKHR";
    }
    case VKTRACE_TPI_VK_vkCreateSwapchainKHR:
    {
        return "vkCreateSwapchainKHR";
    }
    case VKTRACE_TPI_VK_vkDestroySwapchainKHR:
    {
        return "vkDestroySwapchainKHR";
    }
    case VKTRACE_TPI_VK_vkGetSwapchainImagesKHR:
    {
        return "vkGetSwapchainImagesKHR";
    }
    case VKTRACE_TPI_VK_vkAcquireNextImageKHR:
    {
        return "vkAcquireNextImageKHR";
    }
    case VKTRACE_TPI_VK_vkQueuePresentKHR:
    {
        return "vkQueuePresentKHR";
    }
    case VKTRACE_TPI_VK_vkCreateSharedSwapchainsKHR:
    {
        return "vkCreateSharedSwapchainsKHR";
    }
    case VKTRACE_TPI_VK_vkCreateWin32SurfaceKHR:
    {
        return "vkCreateWin32SurfaceKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceWin32PresentationSupportKHR:
    {
        return "vkGetPhysicalDeviceWin32PresentationSupportKHR";
    }
    case VKTRACE_TPI_VK_vkCreateXlibSurfaceKHR:
    {
        return "vkCreateXlibSurfaceKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceXlibPresentationSupportKHR:
    {
        return "vkGetPhysicalDeviceXlibPresentationSupportKHR";
    }
    case VKTRACE_TPI_VK_vkCreateXcbSurfaceKHR:
    {
        return "vkCreateXcbSurfaceKHR";
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceXcbPresentationSupportKHR:
    {
        return "vkGetPhysicalDeviceXcbPresentationSupportKHR";
    }
    case VKTRACE_TPI_VK_vkCreateAndroidSurfaceKHR:
    {
        return "vkCreateAndroidSurfaceKHR";
    }
    case VKTRACE_TPI_VK_vkGetMemoryWin32HandleNV:
    {
        return "vkGetMemoryWin32HandleNV";
    }
    default:
        return NULL;
    }
}

static const char *vktrace_stringify_vk_packet_id(const enum VKTRACE_TRACE_PACKET_ID_VK id, const vktrace_trace_packet_header* pHeader)
{
    static char str[1024];
    switch(id) {
    case VKTRACE_TPI_VK_vkApiVersion:
    {
        packet_vkApiVersion* pPacket = (packet_vkApiVersion*)(pHeader->pBody);
        snprintf(str, 1024, "vkApiVersion = 0x%x", pPacket->version);
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceExternalImageFormatPropertiesNV:
    {
        packet_vkGetPhysicalDeviceExternalImageFormatPropertiesNV* pPacket = (packet_vkGetPhysicalDeviceExternalImageFormatPropertiesNV*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceExternalImageFormatPropertiesNV(physicalDevice = %p, format = %p, type = %p, tiling = %p, usage = %i, flags = %i, externalHandleType = %i, pExternalImageFormatProperties = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->format), (void*)(pPacket->type), (void*)(pPacket->tiling), pPacket->usage, pPacket->flags, pPacket->externalHandleType, (void*)(pPacket->pExternalImageFormatProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndirectCountAMD:
    {
        packet_vkCmdDrawIndirectCountAMD* pPacket = (packet_vkCmdDrawIndirectCountAMD*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDrawIndirectCountAMD(commandBuffer = %p, buffer = %p, offset = %p, countBuffer = %p, countBufferOffset = %p, maxDrawCount = %u, stride = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->buffer), (void*)(pPacket->offset), (void*)(pPacket->countBuffer), (void*)(pPacket->countBufferOffset), pPacket->maxDrawCount, pPacket->stride);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndexedIndirectCountAMD:
    {
        packet_vkCmdDrawIndexedIndirectCountAMD* pPacket = (packet_vkCmdDrawIndexedIndirectCountAMD*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDrawIndexedIndirectCountAMD(commandBuffer = %p, buffer = %p, offset = %p, countBuffer = %p, countBufferOffset = %p, maxDrawCount = %u, stride = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->buffer), (void*)(pPacket->offset), (void*)(pPacket->countBuffer), (void*)(pPacket->countBufferOffset), pPacket->maxDrawCount, pPacket->stride);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateDebugReportCallbackEXT:
    {
        packet_vkCreateDebugReportCallbackEXT* pPacket = (packet_vkCreateDebugReportCallbackEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateDebugReportCallbackEXT(instance = %p, pCreateInfo = %p, pAllocator = %p, pCallback = %p {%" PRIx64 "})", (void*)(pPacket->instance), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pCallback, (pPacket->pCallback == NULL) ? 0 : (uint64_t)*(pPacket->pCallback));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyDebugReportCallbackEXT:
    {
        packet_vkDestroyDebugReportCallbackEXT* pPacket = (packet_vkDestroyDebugReportCallbackEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyDebugReportCallbackEXT(instance = %p, callback = %p, pAllocator = %p)", (void*)(pPacket->instance), (void*)(pPacket->callback), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkDebugReportMessageEXT:
    {
        packet_vkDebugReportMessageEXT* pPacket = (packet_vkDebugReportMessageEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkDebugReportMessageEXT(instance = %p, flags = %i, objType = %p, object = %" PRIu64 ", location = " VK_SIZE_T_SPECIFIER ", msgCode = %i, pLayerPrefix = %p, pMsg = %p)", (void*)(pPacket->instance), pPacket->flags, (void*)(pPacket->objType), pPacket->object, pPacket->location, pPacket->msgCode, (void*)(pPacket->pLayerPrefix), (void*)(pPacket->pMsg));
        return str;
    }
    case VKTRACE_TPI_VK_vkDebugMarkerSetObjectTagEXT:
    {
        packet_vkDebugMarkerSetObjectTagEXT* pPacket = (packet_vkDebugMarkerSetObjectTagEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkDebugMarkerSetObjectTagEXT(device = %p, pTagInfo = %p)", (void*)(pPacket->device), (void*)(pPacket->pTagInfo));
        return str;
    }
    case VKTRACE_TPI_VK_vkDebugMarkerSetObjectNameEXT:
    {
        packet_vkDebugMarkerSetObjectNameEXT* pPacket = (packet_vkDebugMarkerSetObjectNameEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkDebugMarkerSetObjectNameEXT(device = %p, pNameInfo = %p)", (void*)(pPacket->device), (void*)(pPacket->pNameInfo));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDebugMarkerBeginEXT:
    {
        packet_vkCmdDebugMarkerBeginEXT* pPacket = (packet_vkCmdDebugMarkerBeginEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDebugMarkerBeginEXT(commandBuffer = %p, pMarkerInfo = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->pMarkerInfo));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDebugMarkerEndEXT:
    {
        packet_vkCmdDebugMarkerEndEXT* pPacket = (packet_vkCmdDebugMarkerEndEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDebugMarkerEndEXT(commandBuffer = %p)", (void*)(pPacket->commandBuffer));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDebugMarkerInsertEXT:
    {
        packet_vkCmdDebugMarkerInsertEXT* pPacket = (packet_vkCmdDebugMarkerInsertEXT*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDebugMarkerInsertEXT(commandBuffer = %p, pMarkerInfo = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->pMarkerInfo));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateInstance:
    {
        packet_vkCreateInstance* pPacket = (packet_vkCreateInstance*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateInstance(pCreateInfo = %p, pAllocator = %p, pInstance = %p {%" PRIx64 "})", (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pInstance, (pPacket->pInstance == NULL) ? 0 : (uint64_t)*(pPacket->pInstance));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyInstance:
    {
        packet_vkDestroyInstance* pPacket = (packet_vkDestroyInstance*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyInstance(instance = %p, pAllocator = %p)", (void*)(pPacket->instance), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkEnumeratePhysicalDevices:
    {
        packet_vkEnumeratePhysicalDevices* pPacket = (packet_vkEnumeratePhysicalDevices*)(pHeader->pBody);
        snprintf(str, 1024, "vkEnumeratePhysicalDevices(instance = %p, *pPhysicalDeviceCount = %u, pPhysicalDevices = %p)", (void*)(pPacket->instance), (pPacket->pPhysicalDeviceCount == NULL) ? 0 : *(pPacket->pPhysicalDeviceCount), (void*)(pPacket->pPhysicalDevices));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceFeatures:
    {
        packet_vkGetPhysicalDeviceFeatures* pPacket = (packet_vkGetPhysicalDeviceFeatures*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceFeatures(physicalDevice = %p, pFeatures = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->pFeatures));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceFormatProperties:
    {
        packet_vkGetPhysicalDeviceFormatProperties* pPacket = (packet_vkGetPhysicalDeviceFormatProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceFormatProperties(physicalDevice = %p, format = %p, pFormatProperties = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->format), (void*)(pPacket->pFormatProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceImageFormatProperties:
    {
        packet_vkGetPhysicalDeviceImageFormatProperties* pPacket = (packet_vkGetPhysicalDeviceImageFormatProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceImageFormatProperties(physicalDevice = %p, format = %p, type = %p, tiling = %p, usage = %i, flags = %i, pImageFormatProperties = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->format), (void*)(pPacket->type), (void*)(pPacket->tiling), pPacket->usage, pPacket->flags, (void*)(pPacket->pImageFormatProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceProperties:
    {
        packet_vkGetPhysicalDeviceProperties* pPacket = (packet_vkGetPhysicalDeviceProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceProperties(physicalDevice = %p, pProperties = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->pProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceQueueFamilyProperties:
    {
        packet_vkGetPhysicalDeviceQueueFamilyProperties* pPacket = (packet_vkGetPhysicalDeviceQueueFamilyProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceQueueFamilyProperties(physicalDevice = %p, *pQueueFamilyPropertyCount = %u, pQueueFamilyProperties = %p)", (void*)(pPacket->physicalDevice), (pPacket->pQueueFamilyPropertyCount == NULL) ? 0 : *(pPacket->pQueueFamilyPropertyCount), (void*)(pPacket->pQueueFamilyProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceMemoryProperties:
    {
        packet_vkGetPhysicalDeviceMemoryProperties* pPacket = (packet_vkGetPhysicalDeviceMemoryProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceMemoryProperties(physicalDevice = %p, pMemoryProperties = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->pMemoryProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetInstanceProcAddr:
    {
        packet_vkGetInstanceProcAddr* pPacket = (packet_vkGetInstanceProcAddr*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetInstanceProcAddr(instance = %p, *pName = \"%s\")", (void*)(pPacket->instance), pPacket->pName);
        return str;
    }
    case VKTRACE_TPI_VK_vkGetDeviceProcAddr:
    {
        packet_vkGetDeviceProcAddr* pPacket = (packet_vkGetDeviceProcAddr*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetDeviceProcAddr(device = %p, *pName = \"%s\")", (void*)(pPacket->device), pPacket->pName);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateDevice:
    {
        packet_vkCreateDevice* pPacket = (packet_vkCreateDevice*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateDevice(physicalDevice = %p, pCreateInfo = %p, pAllocator = %p, pDevice = %p {%" PRIx64 "})", (void*)(pPacket->physicalDevice), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pDevice, (pPacket->pDevice == NULL) ? 0 : (uint64_t)*(pPacket->pDevice));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyDevice:
    {
        packet_vkDestroyDevice* pPacket = (packet_vkDestroyDevice*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyDevice(device = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkEnumerateInstanceExtensionProperties:
    {
        packet_vkEnumerateInstanceExtensionProperties* pPacket = (packet_vkEnumerateInstanceExtensionProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkEnumerateInstanceExtensionProperties(*pLayerName = \"%s\", *pPropertyCount = %u, pProperties = %p)", pPacket->pLayerName, (pPacket->pPropertyCount == NULL) ? 0 : *(pPacket->pPropertyCount), (void*)(pPacket->pProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkEnumerateDeviceExtensionProperties:
    {
        packet_vkEnumerateDeviceExtensionProperties* pPacket = (packet_vkEnumerateDeviceExtensionProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkEnumerateDeviceExtensionProperties(physicalDevice = %p, *pLayerName = \"%s\", *pPropertyCount = %u, pProperties = %p)", (void*)(pPacket->physicalDevice), pPacket->pLayerName, (pPacket->pPropertyCount == NULL) ? 0 : *(pPacket->pPropertyCount), (void*)(pPacket->pProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkEnumerateInstanceLayerProperties:
    {
        packet_vkEnumerateInstanceLayerProperties* pPacket = (packet_vkEnumerateInstanceLayerProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkEnumerateInstanceLayerProperties(*pPropertyCount = %u, pProperties = %p)", (pPacket->pPropertyCount == NULL) ? 0 : *(pPacket->pPropertyCount), (void*)(pPacket->pProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkEnumerateDeviceLayerProperties:
    {
        packet_vkEnumerateDeviceLayerProperties* pPacket = (packet_vkEnumerateDeviceLayerProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkEnumerateDeviceLayerProperties(physicalDevice = %p, *pPropertyCount = %u, pProperties = %p)", (void*)(pPacket->physicalDevice), (pPacket->pPropertyCount == NULL) ? 0 : *(pPacket->pPropertyCount), (void*)(pPacket->pProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetDeviceQueue:
    {
        packet_vkGetDeviceQueue* pPacket = (packet_vkGetDeviceQueue*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetDeviceQueue(device = %p, queueFamilyIndex = %u, queueIndex = %u, pQueue = %p)", (void*)(pPacket->device), pPacket->queueFamilyIndex, pPacket->queueIndex, (void*)(pPacket->pQueue));
        return str;
    }
    case VKTRACE_TPI_VK_vkQueueSubmit:
    {
        packet_vkQueueSubmit* pPacket = (packet_vkQueueSubmit*)(pHeader->pBody);
        snprintf(str, 1024, "vkQueueSubmit(queue = %p, submitCount = %u, pSubmits = %p, fence = %p)", (void*)(pPacket->queue), pPacket->submitCount, (void*)(pPacket->pSubmits), (void*)(pPacket->fence));
        return str;
    }
    case VKTRACE_TPI_VK_vkQueueWaitIdle:
    {
        packet_vkQueueWaitIdle* pPacket = (packet_vkQueueWaitIdle*)(pHeader->pBody);
        snprintf(str, 1024, "vkQueueWaitIdle(queue = %p)", (void*)(pPacket->queue));
        return str;
    }
    case VKTRACE_TPI_VK_vkDeviceWaitIdle:
    {
        packet_vkDeviceWaitIdle* pPacket = (packet_vkDeviceWaitIdle*)(pHeader->pBody);
        snprintf(str, 1024, "vkDeviceWaitIdle(device = %p)", (void*)(pPacket->device));
        return str;
    }
    case VKTRACE_TPI_VK_vkAllocateMemory:
    {
        packet_vkAllocateMemory* pPacket = (packet_vkAllocateMemory*)(pHeader->pBody);
        snprintf(str, 1024, "vkAllocateMemory(device = %p, pAllocateInfo = %p, pAllocator = %p, pMemory = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pAllocateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pMemory, (pPacket->pMemory == NULL) ? 0 : (uint64_t)*(pPacket->pMemory));
        return str;
    }
    case VKTRACE_TPI_VK_vkFreeMemory:
    {
        packet_vkFreeMemory* pPacket = (packet_vkFreeMemory*)(pHeader->pBody);
        snprintf(str, 1024, "vkFreeMemory(device = %p, memory = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->memory), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkMapMemory:
    {
        packet_vkMapMemory* pPacket = (packet_vkMapMemory*)(pHeader->pBody);
        snprintf(str, 1024, "vkMapMemory(device = %p, memory = %p, offset = %p, size = %p, flags = %i, ppData = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->memory), (void*)(pPacket->offset), (void*)(pPacket->size), pPacket->flags, (void*)pPacket->ppData, (pPacket->ppData == NULL) ? 0 : (uint64_t)*(pPacket->ppData));
        return str;
    }
    case VKTRACE_TPI_VK_vkUnmapMemory:
    {
        packet_vkUnmapMemory* pPacket = (packet_vkUnmapMemory*)(pHeader->pBody);
        snprintf(str, 1024, "vkUnmapMemory(device = %p, memory = %p)", (void*)(pPacket->device), (void*)(pPacket->memory));
        return str;
    }
    case VKTRACE_TPI_VK_vkFlushMappedMemoryRanges:
    {
        packet_vkFlushMappedMemoryRanges* pPacket = (packet_vkFlushMappedMemoryRanges*)(pHeader->pBody);
        snprintf(str, 1024, "vkFlushMappedMemoryRanges(device = %p, memoryRangeCount = %u, pMemoryRanges = %p)", (void*)(pPacket->device), pPacket->memoryRangeCount, (void*)(pPacket->pMemoryRanges));
        return str;
    }
    case VKTRACE_TPI_VK_vkInvalidateMappedMemoryRanges:
    {
        packet_vkInvalidateMappedMemoryRanges* pPacket = (packet_vkInvalidateMappedMemoryRanges*)(pHeader->pBody);
        snprintf(str, 1024, "vkInvalidateMappedMemoryRanges(device = %p, memoryRangeCount = %u, pMemoryRanges = %p)", (void*)(pPacket->device), pPacket->memoryRangeCount, (void*)(pPacket->pMemoryRanges));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetDeviceMemoryCommitment:
    {
        packet_vkGetDeviceMemoryCommitment* pPacket = (packet_vkGetDeviceMemoryCommitment*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetDeviceMemoryCommitment(device = %p, memory = %p, pCommittedMemoryInBytes = %p)", (void*)(pPacket->device), (void*)(pPacket->memory), (void*)(pPacket->pCommittedMemoryInBytes));
        return str;
    }
    case VKTRACE_TPI_VK_vkBindBufferMemory:
    {
        packet_vkBindBufferMemory* pPacket = (packet_vkBindBufferMemory*)(pHeader->pBody);
        snprintf(str, 1024, "vkBindBufferMemory(device = %p, buffer = %p, memory = %p, memoryOffset = %p)", (void*)(pPacket->device), (void*)(pPacket->buffer), (void*)(pPacket->memory), (void*)(pPacket->memoryOffset));
        return str;
    }
    case VKTRACE_TPI_VK_vkBindImageMemory:
    {
        packet_vkBindImageMemory* pPacket = (packet_vkBindImageMemory*)(pHeader->pBody);
        snprintf(str, 1024, "vkBindImageMemory(device = %p, image = %p, memory = %p, memoryOffset = %p)", (void*)(pPacket->device), (void*)(pPacket->image), (void*)(pPacket->memory), (void*)(pPacket->memoryOffset));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetBufferMemoryRequirements:
    {
        packet_vkGetBufferMemoryRequirements* pPacket = (packet_vkGetBufferMemoryRequirements*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetBufferMemoryRequirements(device = %p, buffer = %p, pMemoryRequirements = %p)", (void*)(pPacket->device), (void*)(pPacket->buffer), (void*)(pPacket->pMemoryRequirements));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetImageMemoryRequirements:
    {
        packet_vkGetImageMemoryRequirements* pPacket = (packet_vkGetImageMemoryRequirements*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetImageMemoryRequirements(device = %p, image = %p, pMemoryRequirements = %p)", (void*)(pPacket->device), (void*)(pPacket->image), (void*)(pPacket->pMemoryRequirements));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetImageSparseMemoryRequirements:
    {
        packet_vkGetImageSparseMemoryRequirements* pPacket = (packet_vkGetImageSparseMemoryRequirements*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetImageSparseMemoryRequirements(device = %p, image = %p, *pSparseMemoryRequirementCount = %u, pSparseMemoryRequirements = %p)", (void*)(pPacket->device), (void*)(pPacket->image), (pPacket->pSparseMemoryRequirementCount == NULL) ? 0 : *(pPacket->pSparseMemoryRequirementCount), (void*)(pPacket->pSparseMemoryRequirements));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSparseImageFormatProperties:
    {
        packet_vkGetPhysicalDeviceSparseImageFormatProperties* pPacket = (packet_vkGetPhysicalDeviceSparseImageFormatProperties*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceSparseImageFormatProperties(physicalDevice = %p, format = %p, type = %p, samples = %p, usage = %i, tiling = %p, *pPropertyCount = %u, pProperties = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->format), (void*)(pPacket->type), (void*)(pPacket->samples), pPacket->usage, (void*)(pPacket->tiling), (pPacket->pPropertyCount == NULL) ? 0 : *(pPacket->pPropertyCount), (void*)(pPacket->pProperties));
        return str;
    }
    case VKTRACE_TPI_VK_vkQueueBindSparse:
    {
        packet_vkQueueBindSparse* pPacket = (packet_vkQueueBindSparse*)(pHeader->pBody);
        snprintf(str, 1024, "vkQueueBindSparse(queue = %p, bindInfoCount = %u, pBindInfo = %p, fence = %p)", (void*)(pPacket->queue), pPacket->bindInfoCount, (void*)(pPacket->pBindInfo), (void*)(pPacket->fence));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateFence:
    {
        packet_vkCreateFence* pPacket = (packet_vkCreateFence*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateFence(device = %p, pCreateInfo = %p, pAllocator = %p, pFence = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pFence, (pPacket->pFence == NULL) ? 0 : (uint64_t)*(pPacket->pFence));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyFence:
    {
        packet_vkDestroyFence* pPacket = (packet_vkDestroyFence*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyFence(device = %p, fence = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->fence), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkResetFences:
    {
        packet_vkResetFences* pPacket = (packet_vkResetFences*)(pHeader->pBody);
        snprintf(str, 1024, "vkResetFences(device = %p, fenceCount = %u, pFences = %p)", (void*)(pPacket->device), pPacket->fenceCount, (void*)(pPacket->pFences));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetFenceStatus:
    {
        packet_vkGetFenceStatus* pPacket = (packet_vkGetFenceStatus*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetFenceStatus(device = %p, fence = %p)", (void*)(pPacket->device), (void*)(pPacket->fence));
        return str;
    }
    case VKTRACE_TPI_VK_vkWaitForFences:
    {
        packet_vkWaitForFences* pPacket = (packet_vkWaitForFences*)(pHeader->pBody);
        snprintf(str, 1024, "vkWaitForFences(device = %p, fenceCount = %u, pFences = %p, waitAll = %s, timeout = %" PRIu64 ")", (void*)(pPacket->device), pPacket->fenceCount, (void*)(pPacket->pFences), (pPacket->waitAll == VK_TRUE) ? "VK_TRUE" : "VK_FALSE", pPacket->timeout);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateSemaphore:
    {
        packet_vkCreateSemaphore* pPacket = (packet_vkCreateSemaphore*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateSemaphore(device = %p, pCreateInfo = %p, pAllocator = %p, pSemaphore = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSemaphore, (pPacket->pSemaphore == NULL) ? 0 : (uint64_t)*(pPacket->pSemaphore));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroySemaphore:
    {
        packet_vkDestroySemaphore* pPacket = (packet_vkDestroySemaphore*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroySemaphore(device = %p, semaphore = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->semaphore), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateEvent:
    {
        packet_vkCreateEvent* pPacket = (packet_vkCreateEvent*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateEvent(device = %p, pCreateInfo = %p, pAllocator = %p, pEvent = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pEvent, (pPacket->pEvent == NULL) ? 0 : (uint64_t)*(pPacket->pEvent));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyEvent:
    {
        packet_vkDestroyEvent* pPacket = (packet_vkDestroyEvent*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyEvent(device = %p, event = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->event), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetEventStatus:
    {
        packet_vkGetEventStatus* pPacket = (packet_vkGetEventStatus*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetEventStatus(device = %p, event = %p)", (void*)(pPacket->device), (void*)(pPacket->event));
        return str;
    }
    case VKTRACE_TPI_VK_vkSetEvent:
    {
        packet_vkSetEvent* pPacket = (packet_vkSetEvent*)(pHeader->pBody);
        snprintf(str, 1024, "vkSetEvent(device = %p, event = %p)", (void*)(pPacket->device), (void*)(pPacket->event));
        return str;
    }
    case VKTRACE_TPI_VK_vkResetEvent:
    {
        packet_vkResetEvent* pPacket = (packet_vkResetEvent*)(pHeader->pBody);
        snprintf(str, 1024, "vkResetEvent(device = %p, event = %p)", (void*)(pPacket->device), (void*)(pPacket->event));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateQueryPool:
    {
        packet_vkCreateQueryPool* pPacket = (packet_vkCreateQueryPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateQueryPool(device = %p, pCreateInfo = %p, pAllocator = %p, pQueryPool = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pQueryPool, (pPacket->pQueryPool == NULL) ? 0 : (uint64_t)*(pPacket->pQueryPool));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyQueryPool:
    {
        packet_vkDestroyQueryPool* pPacket = (packet_vkDestroyQueryPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyQueryPool(device = %p, queryPool = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->queryPool), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetQueryPoolResults:
    {
        packet_vkGetQueryPoolResults* pPacket = (packet_vkGetQueryPoolResults*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetQueryPoolResults(device = %p, queryPool = %p, firstQuery = %u, queryCount = %u, dataSize = " VK_SIZE_T_SPECIFIER ", pData = %p, stride = %p, flags = %i)", (void*)(pPacket->device), (void*)(pPacket->queryPool), pPacket->firstQuery, pPacket->queryCount, pPacket->dataSize, (void*)(pPacket->pData), (void*)(pPacket->stride), pPacket->flags);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateBuffer:
    {
        packet_vkCreateBuffer* pPacket = (packet_vkCreateBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateBuffer(device = %p, pCreateInfo = %p, pAllocator = %p, pBuffer = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pBuffer, (pPacket->pBuffer == NULL) ? 0 : (uint64_t)*(pPacket->pBuffer));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyBuffer:
    {
        packet_vkDestroyBuffer* pPacket = (packet_vkDestroyBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyBuffer(device = %p, buffer = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->buffer), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateBufferView:
    {
        packet_vkCreateBufferView* pPacket = (packet_vkCreateBufferView*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateBufferView(device = %p, pCreateInfo = %p, pAllocator = %p, pView = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pView, (pPacket->pView == NULL) ? 0 : (uint64_t)*(pPacket->pView));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyBufferView:
    {
        packet_vkDestroyBufferView* pPacket = (packet_vkDestroyBufferView*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyBufferView(device = %p, bufferView = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->bufferView), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateImage:
    {
        packet_vkCreateImage* pPacket = (packet_vkCreateImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateImage(device = %p, pCreateInfo = %p, pAllocator = %p, pImage = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pImage, (pPacket->pImage == NULL) ? 0 : (uint64_t)*(pPacket->pImage));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyImage:
    {
        packet_vkDestroyImage* pPacket = (packet_vkDestroyImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyImage(device = %p, image = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->image), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetImageSubresourceLayout:
    {
        packet_vkGetImageSubresourceLayout* pPacket = (packet_vkGetImageSubresourceLayout*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetImageSubresourceLayout(device = %p, image = %p, pSubresource = %p, pLayout = %p)", (void*)(pPacket->device), (void*)(pPacket->image), (void*)(pPacket->pSubresource), (void*)(pPacket->pLayout));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateImageView:
    {
        packet_vkCreateImageView* pPacket = (packet_vkCreateImageView*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateImageView(device = %p, pCreateInfo = %p, pAllocator = %p, pView = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pView, (pPacket->pView == NULL) ? 0 : (uint64_t)*(pPacket->pView));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyImageView:
    {
        packet_vkDestroyImageView* pPacket = (packet_vkDestroyImageView*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyImageView(device = %p, imageView = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->imageView), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateShaderModule:
    {
        packet_vkCreateShaderModule* pPacket = (packet_vkCreateShaderModule*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateShaderModule(device = %p, pCreateInfo = %p, pAllocator = %p, pShaderModule = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pShaderModule, (pPacket->pShaderModule == NULL) ? 0 : (uint64_t)*(pPacket->pShaderModule));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyShaderModule:
    {
        packet_vkDestroyShaderModule* pPacket = (packet_vkDestroyShaderModule*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyShaderModule(device = %p, shaderModule = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->shaderModule), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreatePipelineCache:
    {
        packet_vkCreatePipelineCache* pPacket = (packet_vkCreatePipelineCache*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreatePipelineCache(device = %p, pCreateInfo = %p, pAllocator = %p, pPipelineCache = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pPipelineCache, (pPacket->pPipelineCache == NULL) ? 0 : (uint64_t)*(pPacket->pPipelineCache));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyPipelineCache:
    {
        packet_vkDestroyPipelineCache* pPacket = (packet_vkDestroyPipelineCache*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyPipelineCache(device = %p, pipelineCache = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->pipelineCache), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPipelineCacheData:
    {
        packet_vkGetPipelineCacheData* pPacket = (packet_vkGetPipelineCacheData*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPipelineCacheData(device = %p, pipelineCache = %p, *pDataSize = " VK_SIZE_T_SPECIFIER ", pData = %p)", (void*)(pPacket->device), (void*)(pPacket->pipelineCache), (pPacket->pDataSize == NULL) ? 0 : *(pPacket->pDataSize), (void*)(pPacket->pData));
        return str;
    }
    case VKTRACE_TPI_VK_vkMergePipelineCaches:
    {
        packet_vkMergePipelineCaches* pPacket = (packet_vkMergePipelineCaches*)(pHeader->pBody);
        snprintf(str, 1024, "vkMergePipelineCaches(device = %p, dstCache = %p, srcCacheCount = %u, pSrcCaches = %p)", (void*)(pPacket->device), (void*)(pPacket->dstCache), pPacket->srcCacheCount, (void*)(pPacket->pSrcCaches));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateGraphicsPipelines:
    {
        packet_vkCreateGraphicsPipelines* pPacket = (packet_vkCreateGraphicsPipelines*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateGraphicsPipelines(device = %p, pipelineCache = %p, createInfoCount = %u, pCreateInfos = %p, pAllocator = %p, pPipelines = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pipelineCache), pPacket->createInfoCount, (void*)(pPacket->pCreateInfos), (void*)(pPacket->pAllocator), (void*)pPacket->pPipelines, (pPacket->pPipelines == NULL) ? 0 : (uint64_t)*(pPacket->pPipelines));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateComputePipelines:
    {
        packet_vkCreateComputePipelines* pPacket = (packet_vkCreateComputePipelines*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateComputePipelines(device = %p, pipelineCache = %p, createInfoCount = %u, pCreateInfos = %p, pAllocator = %p, pPipelines = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pipelineCache), pPacket->createInfoCount, (void*)(pPacket->pCreateInfos), (void*)(pPacket->pAllocator), (void*)pPacket->pPipelines, (pPacket->pPipelines == NULL) ? 0 : (uint64_t)*(pPacket->pPipelines));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyPipeline:
    {
        packet_vkDestroyPipeline* pPacket = (packet_vkDestroyPipeline*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyPipeline(device = %p, pipeline = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->pipeline), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreatePipelineLayout:
    {
        packet_vkCreatePipelineLayout* pPacket = (packet_vkCreatePipelineLayout*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreatePipelineLayout(device = %p, pCreateInfo = %p, pAllocator = %p, pPipelineLayout = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pPipelineLayout, (pPacket->pPipelineLayout == NULL) ? 0 : (uint64_t)*(pPacket->pPipelineLayout));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyPipelineLayout:
    {
        packet_vkDestroyPipelineLayout* pPacket = (packet_vkDestroyPipelineLayout*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyPipelineLayout(device = %p, pipelineLayout = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->pipelineLayout), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateSampler:
    {
        packet_vkCreateSampler* pPacket = (packet_vkCreateSampler*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateSampler(device = %p, pCreateInfo = %p, pAllocator = %p, pSampler = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSampler, (pPacket->pSampler == NULL) ? 0 : (uint64_t)*(pPacket->pSampler));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroySampler:
    {
        packet_vkDestroySampler* pPacket = (packet_vkDestroySampler*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroySampler(device = %p, sampler = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->sampler), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateDescriptorSetLayout:
    {
        packet_vkCreateDescriptorSetLayout* pPacket = (packet_vkCreateDescriptorSetLayout*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateDescriptorSetLayout(device = %p, pCreateInfo = %p, pAllocator = %p, pSetLayout = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSetLayout, (pPacket->pSetLayout == NULL) ? 0 : (uint64_t)*(pPacket->pSetLayout));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyDescriptorSetLayout:
    {
        packet_vkDestroyDescriptorSetLayout* pPacket = (packet_vkDestroyDescriptorSetLayout*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyDescriptorSetLayout(device = %p, descriptorSetLayout = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->descriptorSetLayout), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateDescriptorPool:
    {
        packet_vkCreateDescriptorPool* pPacket = (packet_vkCreateDescriptorPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateDescriptorPool(device = %p, pCreateInfo = %p, pAllocator = %p, pDescriptorPool = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pDescriptorPool, (pPacket->pDescriptorPool == NULL) ? 0 : (uint64_t)*(pPacket->pDescriptorPool));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyDescriptorPool:
    {
        packet_vkDestroyDescriptorPool* pPacket = (packet_vkDestroyDescriptorPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyDescriptorPool(device = %p, descriptorPool = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->descriptorPool), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkResetDescriptorPool:
    {
        packet_vkResetDescriptorPool* pPacket = (packet_vkResetDescriptorPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkResetDescriptorPool(device = %p, descriptorPool = %p, flags = %i)", (void*)(pPacket->device), (void*)(pPacket->descriptorPool), pPacket->flags);
        return str;
    }
    case VKTRACE_TPI_VK_vkAllocateDescriptorSets:
    {
        packet_vkAllocateDescriptorSets* pPacket = (packet_vkAllocateDescriptorSets*)(pHeader->pBody);
        snprintf(str, 1024, "vkAllocateDescriptorSets(device = %p, pAllocateInfo = %p, pDescriptorSets = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pAllocateInfo), (void*)pPacket->pDescriptorSets, (pPacket->pDescriptorSets == NULL) ? 0 : (uint64_t)*(pPacket->pDescriptorSets));
        return str;
    }
    case VKTRACE_TPI_VK_vkFreeDescriptorSets:
    {
        packet_vkFreeDescriptorSets* pPacket = (packet_vkFreeDescriptorSets*)(pHeader->pBody);
        snprintf(str, 1024, "vkFreeDescriptorSets(device = %p, descriptorPool = %p, descriptorSetCount = %u, pDescriptorSets = %p)", (void*)(pPacket->device), (void*)(pPacket->descriptorPool), pPacket->descriptorSetCount, (void*)(pPacket->pDescriptorSets));
        return str;
    }
    case VKTRACE_TPI_VK_vkUpdateDescriptorSets:
    {
        packet_vkUpdateDescriptorSets* pPacket = (packet_vkUpdateDescriptorSets*)(pHeader->pBody);
        snprintf(str, 1024, "vkUpdateDescriptorSets(device = %p, descriptorWriteCount = %u, pDescriptorWrites = %p, descriptorCopyCount = %u, pDescriptorCopies = %p)", (void*)(pPacket->device), pPacket->descriptorWriteCount, (void*)(pPacket->pDescriptorWrites), pPacket->descriptorCopyCount, (void*)(pPacket->pDescriptorCopies));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateFramebuffer:
    {
        packet_vkCreateFramebuffer* pPacket = (packet_vkCreateFramebuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateFramebuffer(device = %p, pCreateInfo = %p, pAllocator = %p, pFramebuffer = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pFramebuffer, (pPacket->pFramebuffer == NULL) ? 0 : (uint64_t)*(pPacket->pFramebuffer));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyFramebuffer:
    {
        packet_vkDestroyFramebuffer* pPacket = (packet_vkDestroyFramebuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyFramebuffer(device = %p, framebuffer = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->framebuffer), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateRenderPass:
    {
        packet_vkCreateRenderPass* pPacket = (packet_vkCreateRenderPass*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateRenderPass(device = %p, pCreateInfo = %p, pAllocator = %p, pRenderPass = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pRenderPass, (pPacket->pRenderPass == NULL) ? 0 : (uint64_t)*(pPacket->pRenderPass));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyRenderPass:
    {
        packet_vkDestroyRenderPass* pPacket = (packet_vkDestroyRenderPass*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyRenderPass(device = %p, renderPass = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->renderPass), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetRenderAreaGranularity:
    {
        packet_vkGetRenderAreaGranularity* pPacket = (packet_vkGetRenderAreaGranularity*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetRenderAreaGranularity(device = %p, renderPass = %p, pGranularity = %p)", (void*)(pPacket->device), (void*)(pPacket->renderPass), (void*)(pPacket->pGranularity));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateCommandPool:
    {
        packet_vkCreateCommandPool* pPacket = (packet_vkCreateCommandPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateCommandPool(device = %p, pCreateInfo = %p, pAllocator = %p, pCommandPool = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pCommandPool, (pPacket->pCommandPool == NULL) ? 0 : (uint64_t)*(pPacket->pCommandPool));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroyCommandPool:
    {
        packet_vkDestroyCommandPool* pPacket = (packet_vkDestroyCommandPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroyCommandPool(device = %p, commandPool = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->commandPool), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkResetCommandPool:
    {
        packet_vkResetCommandPool* pPacket = (packet_vkResetCommandPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkResetCommandPool(device = %p, commandPool = %p, flags = %i)", (void*)(pPacket->device), (void*)(pPacket->commandPool), pPacket->flags);
        return str;
    }
    case VKTRACE_TPI_VK_vkAllocateCommandBuffers:
    {
        packet_vkAllocateCommandBuffers* pPacket = (packet_vkAllocateCommandBuffers*)(pHeader->pBody);
        snprintf(str, 1024, "vkAllocateCommandBuffers(device = %p, pAllocateInfo = %p, pCommandBuffers = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pAllocateInfo), (void*)pPacket->pCommandBuffers, (pPacket->pCommandBuffers == NULL) ? 0 : (uint64_t)*(pPacket->pCommandBuffers));
        return str;
    }
    case VKTRACE_TPI_VK_vkFreeCommandBuffers:
    {
        packet_vkFreeCommandBuffers* pPacket = (packet_vkFreeCommandBuffers*)(pHeader->pBody);
        snprintf(str, 1024, "vkFreeCommandBuffers(device = %p, commandPool = %p, commandBufferCount = %u, pCommandBuffers = %p)", (void*)(pPacket->device), (void*)(pPacket->commandPool), pPacket->commandBufferCount, (void*)(pPacket->pCommandBuffers));
        return str;
    }
    case VKTRACE_TPI_VK_vkBeginCommandBuffer:
    {
        packet_vkBeginCommandBuffer* pPacket = (packet_vkBeginCommandBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkBeginCommandBuffer(commandBuffer = %p, pBeginInfo = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->pBeginInfo));
        return str;
    }
    case VKTRACE_TPI_VK_vkEndCommandBuffer:
    {
        packet_vkEndCommandBuffer* pPacket = (packet_vkEndCommandBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkEndCommandBuffer(commandBuffer = %p)", (void*)(pPacket->commandBuffer));
        return str;
    }
    case VKTRACE_TPI_VK_vkResetCommandBuffer:
    {
        packet_vkResetCommandBuffer* pPacket = (packet_vkResetCommandBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkResetCommandBuffer(commandBuffer = %p, flags = %i)", (void*)(pPacket->commandBuffer), pPacket->flags);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBindPipeline:
    {
        packet_vkCmdBindPipeline* pPacket = (packet_vkCmdBindPipeline*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBindPipeline(commandBuffer = %p, pipelineBindPoint = %i, pipeline = %p)", (void*)(pPacket->commandBuffer), pPacket->pipelineBindPoint, (void*)(pPacket->pipeline));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetViewport:
    {
        packet_vkCmdSetViewport* pPacket = (packet_vkCmdSetViewport*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetViewport(commandBuffer = %p, firstViewport = %u, viewportCount = %u, pViewports = %p)", (void*)(pPacket->commandBuffer), pPacket->firstViewport, pPacket->viewportCount, (void*)(pPacket->pViewports));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetScissor:
    {
        packet_vkCmdSetScissor* pPacket = (packet_vkCmdSetScissor*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetScissor(commandBuffer = %p, firstScissor = %u, scissorCount = %u, pScissors = %p)", (void*)(pPacket->commandBuffer), pPacket->firstScissor, pPacket->scissorCount, (void*)(pPacket->pScissors));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetLineWidth:
    {
        packet_vkCmdSetLineWidth* pPacket = (packet_vkCmdSetLineWidth*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetLineWidth(commandBuffer = %p, lineWidth = %f)", (void*)(pPacket->commandBuffer), pPacket->lineWidth);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetDepthBias:
    {
        packet_vkCmdSetDepthBias* pPacket = (packet_vkCmdSetDepthBias*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetDepthBias(commandBuffer = %p, depthBiasConstantFactor = %f, depthBiasClamp = %f, depthBiasSlopeFactor = %f)", (void*)(pPacket->commandBuffer), pPacket->depthBiasConstantFactor, pPacket->depthBiasClamp, pPacket->depthBiasSlopeFactor);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetBlendConstants:
    {
        packet_vkCmdSetBlendConstants* pPacket = (packet_vkCmdSetBlendConstants*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetBlendConstants(commandBuffer = %p, blendConstants = [%f, %f, %f, %f])", (void*)(pPacket->commandBuffer), pPacket->blendConstants[0], pPacket->blendConstants[1], pPacket->blendConstants[2], pPacket->blendConstants[3]);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetDepthBounds:
    {
        packet_vkCmdSetDepthBounds* pPacket = (packet_vkCmdSetDepthBounds*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetDepthBounds(commandBuffer = %p, minDepthBounds = %f, maxDepthBounds = %f)", (void*)(pPacket->commandBuffer), pPacket->minDepthBounds, pPacket->maxDepthBounds);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetStencilCompareMask:
    {
        packet_vkCmdSetStencilCompareMask* pPacket = (packet_vkCmdSetStencilCompareMask*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetStencilCompareMask(commandBuffer = %p, faceMask = %i, compareMask = %u)", (void*)(pPacket->commandBuffer), pPacket->faceMask, pPacket->compareMask);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetStencilWriteMask:
    {
        packet_vkCmdSetStencilWriteMask* pPacket = (packet_vkCmdSetStencilWriteMask*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetStencilWriteMask(commandBuffer = %p, faceMask = %i, writeMask = %u)", (void*)(pPacket->commandBuffer), pPacket->faceMask, pPacket->writeMask);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetStencilReference:
    {
        packet_vkCmdSetStencilReference* pPacket = (packet_vkCmdSetStencilReference*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetStencilReference(commandBuffer = %p, faceMask = %i, reference = %u)", (void*)(pPacket->commandBuffer), pPacket->faceMask, pPacket->reference);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBindDescriptorSets:
    {
        packet_vkCmdBindDescriptorSets* pPacket = (packet_vkCmdBindDescriptorSets*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBindDescriptorSets(commandBuffer = %p, pipelineBindPoint = %i, layout = %p, firstSet = %u, descriptorSetCount = %u, pDescriptorSets = %p, dynamicOffsetCount = %u, *pDynamicOffsets = %u)", (void*)(pPacket->commandBuffer), pPacket->pipelineBindPoint, (void*)(pPacket->layout), pPacket->firstSet, pPacket->descriptorSetCount, (void*)(pPacket->pDescriptorSets), pPacket->dynamicOffsetCount, (pPacket->pDynamicOffsets == NULL) ? 0 : *(pPacket->pDynamicOffsets));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBindIndexBuffer:
    {
        packet_vkCmdBindIndexBuffer* pPacket = (packet_vkCmdBindIndexBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBindIndexBuffer(commandBuffer = %p, buffer = %p, offset = %p, indexType = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->buffer), (void*)(pPacket->offset), (void*)(pPacket->indexType));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBindVertexBuffers:
    {
        packet_vkCmdBindVertexBuffers* pPacket = (packet_vkCmdBindVertexBuffers*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBindVertexBuffers(commandBuffer = %p, firstBinding = %u, bindingCount = %u, pBuffers = %p, pOffsets = %p)", (void*)(pPacket->commandBuffer), pPacket->firstBinding, pPacket->bindingCount, (void*)(pPacket->pBuffers), (void*)(pPacket->pOffsets));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDraw:
    {
        packet_vkCmdDraw* pPacket = (packet_vkCmdDraw*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDraw(commandBuffer = %p, vertexCount = %u, instanceCount = %u, firstVertex = %u, firstInstance = %u)", (void*)(pPacket->commandBuffer), pPacket->vertexCount, pPacket->instanceCount, pPacket->firstVertex, pPacket->firstInstance);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndexed:
    {
        packet_vkCmdDrawIndexed* pPacket = (packet_vkCmdDrawIndexed*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDrawIndexed(commandBuffer = %p, indexCount = %u, instanceCount = %u, firstIndex = %u, vertexOffset = %i, firstInstance = %u)", (void*)(pPacket->commandBuffer), pPacket->indexCount, pPacket->instanceCount, pPacket->firstIndex, pPacket->vertexOffset, pPacket->firstInstance);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndirect:
    {
        packet_vkCmdDrawIndirect* pPacket = (packet_vkCmdDrawIndirect*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDrawIndirect(commandBuffer = %p, buffer = %p, offset = %p, drawCount = %u, stride = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->buffer), (void*)(pPacket->offset), pPacket->drawCount, pPacket->stride);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDrawIndexedIndirect:
    {
        packet_vkCmdDrawIndexedIndirect* pPacket = (packet_vkCmdDrawIndexedIndirect*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDrawIndexedIndirect(commandBuffer = %p, buffer = %p, offset = %p, drawCount = %u, stride = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->buffer), (void*)(pPacket->offset), pPacket->drawCount, pPacket->stride);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDispatch:
    {
        packet_vkCmdDispatch* pPacket = (packet_vkCmdDispatch*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDispatch(commandBuffer = %p, x = %u, y = %u, z = %u)", (void*)(pPacket->commandBuffer), pPacket->x, pPacket->y, pPacket->z);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdDispatchIndirect:
    {
        packet_vkCmdDispatchIndirect* pPacket = (packet_vkCmdDispatchIndirect*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdDispatchIndirect(commandBuffer = %p, buffer = %p, offset = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->buffer), (void*)(pPacket->offset));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdCopyBuffer:
    {
        packet_vkCmdCopyBuffer* pPacket = (packet_vkCmdCopyBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdCopyBuffer(commandBuffer = %p, srcBuffer = %p, dstBuffer = %p, regionCount = %u, pRegions = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->srcBuffer), (void*)(pPacket->dstBuffer), pPacket->regionCount, (void*)(pPacket->pRegions));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdCopyImage:
    {
        packet_vkCmdCopyImage* pPacket = (packet_vkCmdCopyImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdCopyImage(commandBuffer = %p, srcImage = %p, srcImageLayout = %s, dstImage = %p, dstImageLayout = %s, regionCount = %u, pRegions = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->srcImage), string_VkImageLayout(pPacket->srcImageLayout), (void*)(pPacket->dstImage), string_VkImageLayout(pPacket->dstImageLayout), pPacket->regionCount, (void*)(pPacket->pRegions));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBlitImage:
    {
        packet_vkCmdBlitImage* pPacket = (packet_vkCmdBlitImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBlitImage(commandBuffer = %p, srcImage = %p, srcImageLayout = %s, dstImage = %p, dstImageLayout = %s, regionCount = %u, pRegions = %p, filter = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->srcImage), string_VkImageLayout(pPacket->srcImageLayout), (void*)(pPacket->dstImage), string_VkImageLayout(pPacket->dstImageLayout), pPacket->regionCount, (void*)(pPacket->pRegions), (void*)(pPacket->filter));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdCopyBufferToImage:
    {
        packet_vkCmdCopyBufferToImage* pPacket = (packet_vkCmdCopyBufferToImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdCopyBufferToImage(commandBuffer = %p, srcBuffer = %p, dstImage = %p, dstImageLayout = %s, regionCount = %u, pRegions = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->srcBuffer), (void*)(pPacket->dstImage), string_VkImageLayout(pPacket->dstImageLayout), pPacket->regionCount, (void*)(pPacket->pRegions));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdCopyImageToBuffer:
    {
        packet_vkCmdCopyImageToBuffer* pPacket = (packet_vkCmdCopyImageToBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdCopyImageToBuffer(commandBuffer = %p, srcImage = %p, srcImageLayout = %s, dstBuffer = %p, regionCount = %u, pRegions = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->srcImage), string_VkImageLayout(pPacket->srcImageLayout), (void*)(pPacket->dstBuffer), pPacket->regionCount, (void*)(pPacket->pRegions));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdUpdateBuffer:
    {
        packet_vkCmdUpdateBuffer* pPacket = (packet_vkCmdUpdateBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdUpdateBuffer(commandBuffer = %p, dstBuffer = %p, dstOffset = %p, dataSize = %p, pData = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->dstBuffer), (void*)(pPacket->dstOffset), (void*)(pPacket->dataSize), (void*)(pPacket->pData));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdFillBuffer:
    {
        packet_vkCmdFillBuffer* pPacket = (packet_vkCmdFillBuffer*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdFillBuffer(commandBuffer = %p, dstBuffer = %p, dstOffset = %p, size = %p, data = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->dstBuffer), (void*)(pPacket->dstOffset), (void*)(pPacket->size), pPacket->data);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdClearColorImage:
    {
        packet_vkCmdClearColorImage* pPacket = (packet_vkCmdClearColorImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdClearColorImage(commandBuffer = %p, image = %p, imageLayout = %s, pColor = %p, rangeCount = %u, pRanges = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->image), string_VkImageLayout(pPacket->imageLayout), (void*)&pPacket->pColor, pPacket->rangeCount, (void*)(pPacket->pRanges));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdClearDepthStencilImage:
    {
        packet_vkCmdClearDepthStencilImage* pPacket = (packet_vkCmdClearDepthStencilImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdClearDepthStencilImage(commandBuffer = %p, image = %p, imageLayout = %s, pDepthStencil = %p, rangeCount = %u, pRanges = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->image), string_VkImageLayout(pPacket->imageLayout), (void*)(pPacket->pDepthStencil), pPacket->rangeCount, (void*)(pPacket->pRanges));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdClearAttachments:
    {
        packet_vkCmdClearAttachments* pPacket = (packet_vkCmdClearAttachments*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdClearAttachments(commandBuffer = %p, attachmentCount = %u, pAttachments = %p, rectCount = %u, pRects = %p)", (void*)(pPacket->commandBuffer), pPacket->attachmentCount, (void*)(pPacket->pAttachments), pPacket->rectCount, (void*)(pPacket->pRects));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdResolveImage:
    {
        packet_vkCmdResolveImage* pPacket = (packet_vkCmdResolveImage*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdResolveImage(commandBuffer = %p, srcImage = %p, srcImageLayout = %s, dstImage = %p, dstImageLayout = %s, regionCount = %u, pRegions = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->srcImage), string_VkImageLayout(pPacket->srcImageLayout), (void*)(pPacket->dstImage), string_VkImageLayout(pPacket->dstImageLayout), pPacket->regionCount, (void*)(pPacket->pRegions));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdSetEvent:
    {
        packet_vkCmdSetEvent* pPacket = (packet_vkCmdSetEvent*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdSetEvent(commandBuffer = %p, event = %p, stageMask = %i)", (void*)(pPacket->commandBuffer), (void*)(pPacket->event), pPacket->stageMask);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdResetEvent:
    {
        packet_vkCmdResetEvent* pPacket = (packet_vkCmdResetEvent*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdResetEvent(commandBuffer = %p, event = %p, stageMask = %i)", (void*)(pPacket->commandBuffer), (void*)(pPacket->event), pPacket->stageMask);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdWaitEvents:
    {
        packet_vkCmdWaitEvents* pPacket = (packet_vkCmdWaitEvents*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdWaitEvents(commandBuffer = %p, eventCount = %u, pEvents = %p, srcStageMask = %i, dstStageMask = %i, memoryBarrierCount = %u, pMemoryBarriers = %p, bufferMemoryBarrierCount = %u, pBufferMemoryBarriers = %p, imageMemoryBarrierCount = %u, pImageMemoryBarriers = %p)", (void*)(pPacket->commandBuffer), pPacket->eventCount, (void*)(pPacket->pEvents), pPacket->srcStageMask, pPacket->dstStageMask, pPacket->memoryBarrierCount, (void*)(pPacket->pMemoryBarriers), pPacket->bufferMemoryBarrierCount, (void*)(pPacket->pBufferMemoryBarriers), pPacket->imageMemoryBarrierCount, (void*)(pPacket->pImageMemoryBarriers));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdPipelineBarrier:
    {
        packet_vkCmdPipelineBarrier* pPacket = (packet_vkCmdPipelineBarrier*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdPipelineBarrier(commandBuffer = %p, srcStageMask = %i, dstStageMask = %i, dependencyFlags = %i, memoryBarrierCount = %u, pMemoryBarriers = %p, bufferMemoryBarrierCount = %u, pBufferMemoryBarriers = %p, imageMemoryBarrierCount = %u, pImageMemoryBarriers = %p)", (void*)(pPacket->commandBuffer), pPacket->srcStageMask, pPacket->dstStageMask, pPacket->dependencyFlags, pPacket->memoryBarrierCount, (void*)(pPacket->pMemoryBarriers), pPacket->bufferMemoryBarrierCount, (void*)(pPacket->pBufferMemoryBarriers), pPacket->imageMemoryBarrierCount, (void*)(pPacket->pImageMemoryBarriers));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBeginQuery:
    {
        packet_vkCmdBeginQuery* pPacket = (packet_vkCmdBeginQuery*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBeginQuery(commandBuffer = %p, queryPool = %p, query = %u, flags = %i)", (void*)(pPacket->commandBuffer), (void*)(pPacket->queryPool), pPacket->query, pPacket->flags);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdEndQuery:
    {
        packet_vkCmdEndQuery* pPacket = (packet_vkCmdEndQuery*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdEndQuery(commandBuffer = %p, queryPool = %p, query = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->queryPool), pPacket->query);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdResetQueryPool:
    {
        packet_vkCmdResetQueryPool* pPacket = (packet_vkCmdResetQueryPool*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdResetQueryPool(commandBuffer = %p, queryPool = %p, firstQuery = %u, queryCount = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->queryPool), pPacket->firstQuery, pPacket->queryCount);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdWriteTimestamp:
    {
        packet_vkCmdWriteTimestamp* pPacket = (packet_vkCmdWriteTimestamp*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdWriteTimestamp(commandBuffer = %p, pipelineStage = %p, queryPool = %p, query = %u)", (void*)(pPacket->commandBuffer), (void*)(pPacket->pipelineStage), (void*)(pPacket->queryPool), pPacket->query);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdCopyQueryPoolResults:
    {
        packet_vkCmdCopyQueryPoolResults* pPacket = (packet_vkCmdCopyQueryPoolResults*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdCopyQueryPoolResults(commandBuffer = %p, queryPool = %p, firstQuery = %u, queryCount = %u, dstBuffer = %p, dstOffset = %p, stride = %p, flags = %i)", (void*)(pPacket->commandBuffer), (void*)(pPacket->queryPool), pPacket->firstQuery, pPacket->queryCount, (void*)(pPacket->dstBuffer), (void*)(pPacket->dstOffset), (void*)(pPacket->stride), pPacket->flags);
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdPushConstants:
    {
        packet_vkCmdPushConstants* pPacket = (packet_vkCmdPushConstants*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdPushConstants(commandBuffer = %p, layout = %p, stageFlags = %i, offset = %u, size = %u, pValues = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->layout), pPacket->stageFlags, pPacket->offset, pPacket->size, (void*)(pPacket->pValues));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdBeginRenderPass:
    {
        packet_vkCmdBeginRenderPass* pPacket = (packet_vkCmdBeginRenderPass*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdBeginRenderPass(commandBuffer = %p, pRenderPassBegin = %p, contents = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->pRenderPassBegin), (void*)(pPacket->contents));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdNextSubpass:
    {
        packet_vkCmdNextSubpass* pPacket = (packet_vkCmdNextSubpass*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdNextSubpass(commandBuffer = %p, contents = %p)", (void*)(pPacket->commandBuffer), (void*)(pPacket->contents));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdEndRenderPass:
    {
        packet_vkCmdEndRenderPass* pPacket = (packet_vkCmdEndRenderPass*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdEndRenderPass(commandBuffer = %p)", (void*)(pPacket->commandBuffer));
        return str;
    }
    case VKTRACE_TPI_VK_vkCmdExecuteCommands:
    {
        packet_vkCmdExecuteCommands* pPacket = (packet_vkCmdExecuteCommands*)(pHeader->pBody);
        snprintf(str, 1024, "vkCmdExecuteCommands(commandBuffer = %p, commandBufferCount = %u, pCommandBuffers = %p)", (void*)(pPacket->commandBuffer), pPacket->commandBufferCount, (void*)(pPacket->pCommandBuffers));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroySurfaceKHR:
    {
        packet_vkDestroySurfaceKHR* pPacket = (packet_vkDestroySurfaceKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroySurfaceKHR(instance = %p, surface = %p, pAllocator = %p)", (void*)(pPacket->instance), (void*)(pPacket->surface), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceSupportKHR:
    {
        packet_vkGetPhysicalDeviceSurfaceSupportKHR* pPacket = (packet_vkGetPhysicalDeviceSurfaceSupportKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceSurfaceSupportKHR(physicalDevice = %p, queueFamilyIndex = %u, surface = %p, *pSupported = %s)", (void*)(pPacket->physicalDevice), pPacket->queueFamilyIndex, (void*)(pPacket->surface), (*pPacket->pSupported == VK_TRUE) ? "VK_TRUE" : "VK_FALSE");
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceCapabilitiesKHR:
    {
        packet_vkGetPhysicalDeviceSurfaceCapabilitiesKHR* pPacket = (packet_vkGetPhysicalDeviceSurfaceCapabilitiesKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceSurfaceCapabilitiesKHR(physicalDevice = %p, surface = %p, pSurfaceCapabilities = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->surface), (void*)(pPacket->pSurfaceCapabilities));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceFormatsKHR:
    {
        packet_vkGetPhysicalDeviceSurfaceFormatsKHR* pPacket = (packet_vkGetPhysicalDeviceSurfaceFormatsKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceSurfaceFormatsKHR(physicalDevice = %p, surface = %p, *pSurfaceFormatCount = %u, pSurfaceFormats = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->surface), (pPacket->pSurfaceFormatCount == NULL) ? 0 : *(pPacket->pSurfaceFormatCount), (void*)(pPacket->pSurfaceFormats));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfacePresentModesKHR:
    {
        packet_vkGetPhysicalDeviceSurfacePresentModesKHR* pPacket = (packet_vkGetPhysicalDeviceSurfacePresentModesKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceSurfacePresentModesKHR(physicalDevice = %p, surface = %p, *pPresentModeCount = %u, pPresentModes = %p)", (void*)(pPacket->physicalDevice), (void*)(pPacket->surface), (pPacket->pPresentModeCount == NULL) ? 0 : *(pPacket->pPresentModeCount), (void*)(pPacket->pPresentModes));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateSwapchainKHR:
    {
        packet_vkCreateSwapchainKHR* pPacket = (packet_vkCreateSwapchainKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateSwapchainKHR(device = %p, pCreateInfo = %p, pAllocator = %p, pSwapchain = %p {%" PRIx64 "})", (void*)(pPacket->device), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSwapchain, (pPacket->pSwapchain == NULL) ? 0 : (uint64_t)*(pPacket->pSwapchain));
        return str;
    }
    case VKTRACE_TPI_VK_vkDestroySwapchainKHR:
    {
        packet_vkDestroySwapchainKHR* pPacket = (packet_vkDestroySwapchainKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkDestroySwapchainKHR(device = %p, swapchain = %p, pAllocator = %p)", (void*)(pPacket->device), (void*)(pPacket->swapchain), (void*)(pPacket->pAllocator));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetSwapchainImagesKHR:
    {
        packet_vkGetSwapchainImagesKHR* pPacket = (packet_vkGetSwapchainImagesKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetSwapchainImagesKHR(device = %p, swapchain = %p, *pSwapchainImageCount = %u, pSwapchainImages = %p)", (void*)(pPacket->device), (void*)(pPacket->swapchain), (pPacket->pSwapchainImageCount == NULL) ? 0 : *(pPacket->pSwapchainImageCount), (void*)(pPacket->pSwapchainImages));
        return str;
    }
    case VKTRACE_TPI_VK_vkAcquireNextImageKHR:
    {
        packet_vkAcquireNextImageKHR* pPacket = (packet_vkAcquireNextImageKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkAcquireNextImageKHR(device = %p, swapchain = %p, timeout = %" PRIu64 ", semaphore = %p, fence = %p, *pImageIndex = %u)", (void*)(pPacket->device), (void*)(pPacket->swapchain), pPacket->timeout, (void*)(pPacket->semaphore), (void*)(pPacket->fence), (pPacket->pImageIndex == NULL) ? 0 : *(pPacket->pImageIndex));
        return str;
    }
    case VKTRACE_TPI_VK_vkQueuePresentKHR:
    {
        packet_vkQueuePresentKHR* pPacket = (packet_vkQueuePresentKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkQueuePresentKHR(queue = %p, pPresentInfo = %p)", (void*)(pPacket->queue), (void*)(pPacket->pPresentInfo));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateSharedSwapchainsKHR:
    {
        packet_vkCreateSharedSwapchainsKHR* pPacket = (packet_vkCreateSharedSwapchainsKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateSharedSwapchainsKHR(device = %p, swapchainCount = %u, pCreateInfos = %p, pAllocator = %p, pSwapchains = %p {%" PRIx64 "})", (void*)(pPacket->device), pPacket->swapchainCount, (void*)(pPacket->pCreateInfos), (void*)(pPacket->pAllocator), (void*)pPacket->pSwapchains, (pPacket->pSwapchains == NULL) ? 0 : (uint64_t)*(pPacket->pSwapchains));
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateWin32SurfaceKHR:
    {
        packet_vkCreateWin32SurfaceKHR* pPacket = (packet_vkCreateWin32SurfaceKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateWin32SurfaceKHR(instance = %p, pCreateInfo = %p, pAllocator = %p, pSurface = %p {%" PRIx64 "})", (void*)(pPacket->instance), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSurface, (pPacket->pSurface == NULL) ? 0 : (uint64_t)*(pPacket->pSurface));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceWin32PresentationSupportKHR:
    {
        packet_vkGetPhysicalDeviceWin32PresentationSupportKHR* pPacket = (packet_vkGetPhysicalDeviceWin32PresentationSupportKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceWin32PresentationSupportKHR(physicalDevice = %p, queueFamilyIndex = %u)", (void*)(pPacket->physicalDevice), pPacket->queueFamilyIndex);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateXlibSurfaceKHR:
    {
        packet_vkCreateXlibSurfaceKHR* pPacket = (packet_vkCreateXlibSurfaceKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateXlibSurfaceKHR(instance = %p, pCreateInfo = %p, pAllocator = %p, pSurface = %p {%" PRIx64 "})", (void*)(pPacket->instance), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSurface, (pPacket->pSurface == NULL) ? 0 : (uint64_t)*(pPacket->pSurface));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceXlibPresentationSupportKHR:
    {
        packet_vkGetPhysicalDeviceXlibPresentationSupportKHR* pPacket = (packet_vkGetPhysicalDeviceXlibPresentationSupportKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceXlibPresentationSupportKHR(physicalDevice = %p, queueFamilyIndex = %u, dpy = %p, visualID = %" PRIu64 ")", (void*)(pPacket->physicalDevice), pPacket->queueFamilyIndex, (void*)(pPacket->dpy), (uint64_t)pPacket->visualID);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateXcbSurfaceKHR:
    {
        packet_vkCreateXcbSurfaceKHR* pPacket = (packet_vkCreateXcbSurfaceKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateXcbSurfaceKHR(instance = %p, pCreateInfo = %p, pAllocator = %p, pSurface = %p {%" PRIx64 "})", (void*)(pPacket->instance), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSurface, (pPacket->pSurface == NULL) ? 0 : (uint64_t)*(pPacket->pSurface));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetPhysicalDeviceXcbPresentationSupportKHR:
    {
        packet_vkGetPhysicalDeviceXcbPresentationSupportKHR* pPacket = (packet_vkGetPhysicalDeviceXcbPresentationSupportKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetPhysicalDeviceXcbPresentationSupportKHR(physicalDevice = %p, queueFamilyIndex = %u, connection = %p, visual_id = %u)", (void*)(pPacket->physicalDevice), pPacket->queueFamilyIndex, (void*)(pPacket->connection), pPacket->visual_id);
        return str;
    }
    case VKTRACE_TPI_VK_vkCreateAndroidSurfaceKHR:
    {
        packet_vkCreateAndroidSurfaceKHR* pPacket = (packet_vkCreateAndroidSurfaceKHR*)(pHeader->pBody);
        snprintf(str, 1024, "vkCreateAndroidSurfaceKHR(instance = %p, pCreateInfo = %p, pAllocator = %p, pSurface = %p {%" PRIx64 "})", (void*)(pPacket->instance), (void*)(pPacket->pCreateInfo), (void*)(pPacket->pAllocator), (void*)pPacket->pSurface, (pPacket->pSurface == NULL) ? 0 : (uint64_t)*(pPacket->pSurface));
        return str;
    }
    case VKTRACE_TPI_VK_vkGetMemoryWin32HandleNV:
    {
        packet_vkGetMemoryWin32HandleNV* pPacket = (packet_vkGetMemoryWin32HandleNV*)(pHeader->pBody);
        snprintf(str, 1024, "vkGetMemoryWin32HandleNV(device = %p, memory = %p, handleType = %i, pHandle = %p)", (void*)(pPacket->device), (void*)(pPacket->memory), pPacket->handleType, (void*)(pPacket->pHandle));
        return str;
    }
    default:
        return NULL;
    }
};

// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #677
static vktrace_trace_packet_header* interpret_trace_packet_vk(vktrace_trace_packet_header* pHeader)
{
    if (pHeader == NULL)
    {
        return NULL;
    }
    switch (pHeader->packet_id)
    {
        case VKTRACE_TPI_VK_vkApiVersion:
        {
            return interpret_body_as_vkApiVersion(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceExternalImageFormatPropertiesNV:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceExternalImageFormatPropertiesNV(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDrawIndirectCountAMD:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDrawIndirectCountAMD(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDrawIndexedIndirectCountAMD:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDrawIndexedIndirectCountAMD(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateDebugReportCallbackEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateDebugReportCallbackEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyDebugReportCallbackEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyDebugReportCallbackEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDebugReportMessageEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDebugReportMessageEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDebugMarkerSetObjectTagEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDebugMarkerSetObjectTagEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDebugMarkerSetObjectNameEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDebugMarkerSetObjectNameEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDebugMarkerBeginEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDebugMarkerBeginEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDebugMarkerEndEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDebugMarkerEndEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDebugMarkerInsertEXT:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDebugMarkerInsertEXT(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateInstance:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateInstance(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyInstance:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyInstance(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkEnumeratePhysicalDevices:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkEnumeratePhysicalDevices(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceFeatures:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceFeatures(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceFormatProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceFormatProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceImageFormatProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceImageFormatProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceQueueFamilyProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceQueueFamilyProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceMemoryProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceMemoryProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetInstanceProcAddr:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetInstanceProcAddr(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetDeviceProcAddr:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetDeviceProcAddr(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateDevice:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateDevice(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyDevice:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyDevice(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkEnumerateInstanceExtensionProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkEnumerateInstanceExtensionProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkEnumerateDeviceExtensionProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkEnumerateDeviceExtensionProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkEnumerateInstanceLayerProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkEnumerateInstanceLayerProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkEnumerateDeviceLayerProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkEnumerateDeviceLayerProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetDeviceQueue:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetDeviceQueue(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkQueueSubmit:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkQueueSubmit(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkQueueWaitIdle:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkQueueWaitIdle(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDeviceWaitIdle:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDeviceWaitIdle(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkAllocateMemory:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkAllocateMemory(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkFreeMemory:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkFreeMemory(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkMapMemory:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkMapMemory(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkUnmapMemory:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkUnmapMemory(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkFlushMappedMemoryRanges:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkFlushMappedMemoryRanges(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkInvalidateMappedMemoryRanges:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkInvalidateMappedMemoryRanges(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetDeviceMemoryCommitment:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetDeviceMemoryCommitment(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkBindBufferMemory:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkBindBufferMemory(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkBindImageMemory:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkBindImageMemory(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetBufferMemoryRequirements:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetBufferMemoryRequirements(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetImageMemoryRequirements:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetImageMemoryRequirements(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetImageSparseMemoryRequirements:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetImageSparseMemoryRequirements(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceSparseImageFormatProperties:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceSparseImageFormatProperties(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkQueueBindSparse:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkQueueBindSparse(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateFence:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateFence(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyFence:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyFence(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkResetFences:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkResetFences(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetFenceStatus:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetFenceStatus(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkWaitForFences:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkWaitForFences(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateSemaphore:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateSemaphore(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroySemaphore:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroySemaphore(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateEvent:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateEvent(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyEvent:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyEvent(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetEventStatus:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetEventStatus(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkSetEvent:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkSetEvent(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkResetEvent:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkResetEvent(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateQueryPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateQueryPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyQueryPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyQueryPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetQueryPoolResults:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetQueryPoolResults(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateBufferView:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateBufferView(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyBufferView:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyBufferView(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetImageSubresourceLayout:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetImageSubresourceLayout(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateImageView:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateImageView(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyImageView:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyImageView(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateShaderModule:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateShaderModule(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyShaderModule:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyShaderModule(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreatePipelineCache:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreatePipelineCache(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyPipelineCache:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyPipelineCache(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPipelineCacheData:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPipelineCacheData(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkMergePipelineCaches:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkMergePipelineCaches(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateGraphicsPipelines:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateGraphicsPipelines(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateComputePipelines:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateComputePipelines(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyPipeline:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyPipeline(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreatePipelineLayout:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreatePipelineLayout(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyPipelineLayout:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyPipelineLayout(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateSampler:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateSampler(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroySampler:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroySampler(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateDescriptorSetLayout:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateDescriptorSetLayout(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyDescriptorSetLayout:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyDescriptorSetLayout(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateDescriptorPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateDescriptorPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyDescriptorPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyDescriptorPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkResetDescriptorPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkResetDescriptorPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkAllocateDescriptorSets:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkAllocateDescriptorSets(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkFreeDescriptorSets:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkFreeDescriptorSets(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkUpdateDescriptorSets:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkUpdateDescriptorSets(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateFramebuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateFramebuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyFramebuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyFramebuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateRenderPass:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateRenderPass(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyRenderPass:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyRenderPass(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetRenderAreaGranularity:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetRenderAreaGranularity(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateCommandPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateCommandPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroyCommandPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroyCommandPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkResetCommandPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkResetCommandPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkAllocateCommandBuffers:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkAllocateCommandBuffers(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkFreeCommandBuffers:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkFreeCommandBuffers(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkBeginCommandBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkBeginCommandBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkEndCommandBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkEndCommandBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkResetCommandBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkResetCommandBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBindPipeline:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBindPipeline(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetViewport:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetViewport(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetScissor:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetScissor(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetLineWidth:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetLineWidth(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetDepthBias:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetDepthBias(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetBlendConstants:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetBlendConstants(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetDepthBounds:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetDepthBounds(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetStencilCompareMask:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetStencilCompareMask(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetStencilWriteMask:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetStencilWriteMask(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetStencilReference:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetStencilReference(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBindDescriptorSets:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBindDescriptorSets(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBindIndexBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBindIndexBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBindVertexBuffers:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBindVertexBuffers(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDraw:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDraw(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDrawIndexed:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDrawIndexed(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDrawIndirect:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDrawIndirect(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDrawIndexedIndirect:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDrawIndexedIndirect(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDispatch:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDispatch(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdDispatchIndirect:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdDispatchIndirect(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdCopyBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdCopyBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdCopyImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdCopyImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBlitImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBlitImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdCopyBufferToImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdCopyBufferToImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdCopyImageToBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdCopyImageToBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdUpdateBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdUpdateBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdFillBuffer:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdFillBuffer(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdClearColorImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdClearColorImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdClearDepthStencilImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdClearDepthStencilImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdClearAttachments:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdClearAttachments(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdResolveImage:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdResolveImage(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdSetEvent:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdSetEvent(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdResetEvent:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdResetEvent(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdWaitEvents:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdWaitEvents(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdPipelineBarrier:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdPipelineBarrier(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBeginQuery:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBeginQuery(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdEndQuery:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdEndQuery(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdResetQueryPool:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdResetQueryPool(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdWriteTimestamp:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdWriteTimestamp(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdCopyQueryPoolResults:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdCopyQueryPoolResults(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdPushConstants:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdPushConstants(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdBeginRenderPass:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdBeginRenderPass(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdNextSubpass:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdNextSubpass(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdEndRenderPass:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdEndRenderPass(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCmdExecuteCommands:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCmdExecuteCommands(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroySurfaceKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroySurfaceKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceSupportKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceSurfaceSupportKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceCapabilitiesKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceSurfaceCapabilitiesKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfaceFormatsKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceSurfaceFormatsKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceSurfacePresentModesKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceSurfacePresentModesKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateSwapchainKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateSwapchainKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkDestroySwapchainKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkDestroySwapchainKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetSwapchainImagesKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetSwapchainImagesKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkAcquireNextImageKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkAcquireNextImageKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkQueuePresentKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkQueuePresentKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateSharedSwapchainsKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateSharedSwapchainsKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateWin32SurfaceKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateWin32SurfaceKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceWin32PresentationSupportKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceWin32PresentationSupportKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateXlibSurfaceKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateXlibSurfaceKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceXlibPresentationSupportKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceXlibPresentationSupportKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateXcbSurfaceKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateXcbSurfaceKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetPhysicalDeviceXcbPresentationSupportKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetPhysicalDeviceXcbPresentationSupportKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkCreateAndroidSurfaceKHR:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkCreateAndroidSurfaceKHR(pHeader)->header;
        }
        case VKTRACE_TPI_VK_vkGetMemoryWin32HandleNV:
        {
// CODEGEN : file /tmp/B.tgXw9q/BUILD/VulkanTools-sdk-1.0.32.0/vktrace/vktrace_generate.py line #698
            return interpret_body_as_vkGetMemoryWin32HandleNV(pHeader)->header;
        }
        default:
            return NULL;
    }
    return NULL;
}
